static PyObject *
_wrap_zvt_term_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":zvt_term_get_type"))
        return NULL;
    return PyInt_FromLong(zvt_term_get_type());
}

static PyObject *
_wrap_zvt_term_get_adjustment(PyObject *self, PyObject *args)
{
    GtkObject *ret;
    PyObject *obj;

    if (!PyArg_ParseTuple(args, "O!:zvt_term_get_adjustment", &PyGtk_Type, &obj))
        return NULL;
    ret = (GtkObject *) ZVT_TERM(PyGtk_Get(obj))->adjustment;
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_get_charwidth(PyObject *self, PyObject *args)
{
    PyObject *obj;

    if (!PyArg_ParseTuple(args, "O!:zvt_term_get_charwidth", &PyGtk_Type, &obj))
        return NULL;
    return PyInt_FromLong(ZVT_TERM(PyGtk_Get(obj))->charwidth);
}

static PyObject *
_wrap_zvt_term_get_charheight(PyObject *self, PyObject *args)
{
    PyObject *obj;

    if (!PyArg_ParseTuple(args, "O!:zvt_term_get_charheight", &PyGtk_Type, &obj))
        return NULL;
    return PyInt_FromLong(ZVT_TERM(PyGtk_Get(obj))->charheight);
}

static PyObject *
_wrap_zvt_term_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":zvt_term_new"))
        return NULL;
    ret = (GtkObject *) zvt_term_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_new_with_size(PyObject *self, PyObject *args)
{
    int cols, rows;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ii:zvt_term_new_with_size", &cols, &rows))
        return NULL;
    ret = (GtkObject *) zvt_term_new_with_size(cols, rows);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_reset(PyObject *self, PyObject *args)
{
    PyObject *term;
    int hard;

    if (!PyArg_ParseTuple(args, "O!i:zvt_term_reset", &PyGtk_Type, &term, &hard))
        return NULL;
    zvt_term_reset(ZVT_TERM(PyGtk_Get(term)), hard);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_forkpty(PyObject *self, PyObject *args)
{
    PyObject *term;
    int do_uwtmp_log;

    if (!PyArg_ParseTuple(args, "O!i:zvt_term_forkpty", &PyGtk_Type, &term, &do_uwtmp_log))
        return NULL;
    return PyInt_FromLong(zvt_term_forkpty(ZVT_TERM(PyGtk_Get(term)), do_uwtmp_log));
}

static PyObject *
_wrap_zvt_term_closepty(PyObject *self, PyObject *args)
{
    PyObject *term;

    if (!PyArg_ParseTuple(args, "O!:zvt_term_closepty", &PyGtk_Type, &term))
        return NULL;
    return PyInt_FromLong(zvt_term_closepty(ZVT_TERM(PyGtk_Get(term))));
}

static PyObject *
_wrap_zvt_term_killchild(PyObject *self, PyObject *args)
{
    PyObject *term;
    int signal;

    if (!PyArg_ParseTuple(args, "O!i:zvt_term_killchild", &PyGtk_Type, &term, &signal))
        return NULL;
    return PyInt_FromLong(zvt_term_killchild(ZVT_TERM(PyGtk_Get(term)), signal));
}

static PyObject *
_wrap_zvt_term_bell(PyObject *self, PyObject *args)
{
    PyObject *term;

    if (!PyArg_ParseTuple(args, "O!:zvt_term_bell", &PyGtk_Type, &term))
        return NULL;
    zvt_term_bell(ZVT_TERM(PyGtk_Get(term)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_scrollback(PyObject *self, PyObject *args)
{
    PyObject *term;
    int lines;

    if (!PyArg_ParseTuple(args, "O!i:zvt_term_set_scrollback", &PyGtk_Type, &term, &lines))
        return NULL;
    zvt_term_set_scrollback(ZVT_TERM(PyGtk_Get(term)), lines);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_font_name(PyObject *self, PyObject *args)
{
    PyObject *term;
    char *name;

    if (!PyArg_ParseTuple(args, "O!s:zvt_term_set_font_name", &PyGtk_Type, &term, &name))
        return NULL;
    zvt_term_set_font_name(ZVT_TERM(PyGtk_Get(term)), name);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_fonts(PyObject *self, PyObject *args)
{
    PyObject *term, *font, *font_bold;

    if (!PyArg_ParseTuple(args, "O!O!O!:zvt_term_set_fonts", &PyGtk_Type, &term, &PyGdkFont_Type, &font, &PyGdkFont_Type, &font_bold))
        return NULL;
    zvt_term_set_fonts(ZVT_TERM(PyGtk_Get(term)), PyGdkFont_Get(font), PyGdkFont_Get(font_bold));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_hide_pointer(PyObject *self, PyObject *args)
{
    PyObject *term;

    if (!PyArg_ParseTuple(args, "O!:zvt_term_hide_pointer", &PyGtk_Type, &term))
        return NULL;
    zvt_term_hide_pointer(ZVT_TERM(PyGtk_Get(term)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_show_pointer(PyObject *self, PyObject *args)
{
    PyObject *term;

    if (!PyArg_ParseTuple(args, "O!:zvt_term_show_pointer", &PyGtk_Type, &term))
        return NULL;
    zvt_term_show_pointer(ZVT_TERM(PyGtk_Get(term)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_bell(PyObject *self, PyObject *args)
{
    PyObject *term;
    int state;

    if (!PyArg_ParseTuple(args, "O!i:zvt_term_set_bell", &PyGtk_Type, &term, &state))
        return NULL;
    zvt_term_set_bell(ZVT_TERM(PyGtk_Get(term)), state);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_get_bell(PyObject *self, PyObject *args)
{
    PyObject *term;

    if (!PyArg_ParseTuple(args, "O!:zvt_term_get_bell", &PyGtk_Type, &term))
        return NULL;
    return PyInt_FromLong(zvt_term_get_bell(ZVT_TERM(PyGtk_Get(term))));
}

static PyObject *
_wrap_zvt_term_set_blink(PyObject *self, PyObject *args)
{
    PyObject *term;
    int state;

    if (!PyArg_ParseTuple(args, "O!i:zvt_term_set_blink", &PyGtk_Type, &term, &state))
        return NULL;
    zvt_term_set_blink(ZVT_TERM(PyGtk_Get(term)), state);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_scroll_on_keystroke(PyObject *self, PyObject *args)
{
    PyObject *term;
    int state;

    if (!PyArg_ParseTuple(args, "O!i:zvt_term_set_scroll_on_keystroke", &PyGtk_Type, &term, &state))
        return NULL;
    zvt_term_set_scroll_on_keystroke(ZVT_TERM(PyGtk_Get(term)), state);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_scroll_on_output(PyObject *self, PyObject *args)
{
    PyObject *term;
    int state;

    if (!PyArg_ParseTuple(args, "O!i:zvt_term_set_scroll_on_output", &PyGtk_Type, &term, &state))
        return NULL;
    zvt_term_set_scroll_on_output(ZVT_TERM(PyGtk_Get(term)), state);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_default_color_scheme(PyObject *self, PyObject *args)
{
    PyObject *term;

    if (!PyArg_ParseTuple(args, "O!:zvt_term_set_default_color_scheme", &PyGtk_Type, &term))
        return NULL;
    zvt_term_set_default_color_scheme(ZVT_TERM(PyGtk_Get(term)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_del_key_swap(PyObject *self, PyObject *args)
{
    PyObject *term;
    int state;

    if (!PyArg_ParseTuple(args, "O!i:zvt_term_set_del_key_swap", &PyGtk_Type, &term, &state))
        return NULL;
    zvt_term_set_del_key_swap(ZVT_TERM(PyGtk_Get(term)), state);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_wordclass(PyObject *self, PyObject *args)
{
    PyObject *term;
    char *class;

    if (!PyArg_ParseTuple(args, "O!s:zvt_term_set_wordclass", &PyGtk_Type, &term, &class))
        return NULL;
    zvt_term_set_wordclass(ZVT_TERM(PyGtk_Get(term)), class);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_match_add(PyObject *self, PyObject *args)
{
    PyObject *term;
    char *regex, *data;
    int highlight_mask;

    if (!PyArg_ParseTuple(args, "O!siz:zvt_term_match_add", &PyGtk_Type, &term, &regex, &highlight_mask, &data))
        return NULL;
    return PyInt_FromLong(zvt_term_match_add(ZVT_TERM(PyGtk_Get(term)), regex, highlight_mask, data));
}

static PyObject *
_wrap_zvt_term_match_clear(PyObject *self, PyObject *args)
{
    PyObject *term;
    char *regex;

    if (!PyArg_ParseTuple(args, "O!s:zvt_term_match_clear", &PyGtk_Type, &term, &regex))
        return NULL;
    zvt_term_match_clear(ZVT_TERM(PyGtk_Get(term)), regex);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_background(PyObject *self, PyObject *args)
{
    PyObject *term;
    char *pixmap_file;
    int transparent, shaded;

    if (!PyArg_ParseTuple(args, "O!sii:zvt_term_set_background", &PyGtk_Type, &term, &pixmap_file, &transparent, &shaded))
        return NULL;
    zvt_term_set_background(ZVT_TERM(PyGtk_Get(term)), pixmap_file, transparent, shaded);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_shadow_type(PyObject *self, PyObject *args)
{
    PyObject *term, *py_type;
    GtkShadowType type;

    if (!PyArg_ParseTuple(args, "O!O:zvt_term_set_shadow_type", &PyGtk_Type, &term, &py_type))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_SHADOW_TYPE, py_type, (gint *)&type))
        return NULL;
    zvt_term_set_shadow_type(ZVT_TERM(PyGtk_Get(term)), type);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_zvt_term_set_size(PyObject *self, PyObject *args)
{
    PyObject *term;
    int width, height;

    if (!PyArg_ParseTuple(args, "O!ii:zvt_term_set_size", &PyGtk_Type, &term, &width, &height))
        return NULL;
    zvt_term_set_size(ZVT_TERM(PyGtk_Get(term)), width, height);
    Py_INCREF(Py_None);
    return Py_None;
}

