static PyObject *
_wrap_gnome_dialog_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_dialog_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_dialog_get_type());
}

static PyObject *
_wrap_gnome_dialog_get_vbox(PyObject *self, PyObject *args)
{
    GtkObject *ret;
    PyObject *obj;

    if (!PyArg_ParseTuple(args, "O!:gnome_dialog_get_vbox", &PyGtk_Type, &obj))
        return NULL;
    ret = (GtkObject *) GNOME_DIALOG(PyGtk_Get(obj))->vbox;
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_new(PyObject *self, PyObject *args)
{
    char *title, *b1 = NULL, *b2 = NULL, *b3 = NULL, *b4 = NULL, *b5 = NULL, *b6 = NULL, *b7 = NULL, *b8 = NULL, *b9 = NULL, *b10 = NULL, *b11 = NULL;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s|sssssssssss:gnome_dialog_new", &title, &b1, &b2, &b3, &b4, &b5, &b6, &b7, &b8, &b9, &b10, &b11))
        return NULL;
    ret = (GtkObject *) gnome_dialog_new(title, b1, b2, b3, b4, b5, b6, b7, b8, b9, b10, b11);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_set_parent(PyObject *self, PyObject *args)
{
    PyObject *dialog, *parent;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_dialog_set_parent", &PyGtk_Type, &dialog, &PyGtk_Type, &parent))
        return NULL;
    gnome_dialog_set_parent(GNOME_DIALOG(PyGtk_Get(dialog)), GTK_WINDOW(PyGtk_Get(parent)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_run(PyObject *self, PyObject *args)
{
    PyObject *dialog;

    if (!PyArg_ParseTuple(args, "O!:gnome_dialog_run", &PyGtk_Type, &dialog))
        return NULL;
    return PyInt_FromLong(gnome_dialog_run(GNOME_DIALOG(PyGtk_Get(dialog))));
}

static PyObject *
_wrap_gnome_dialog_run_and_close(PyObject *self, PyObject *args)
{
    PyObject *dialog;

    if (!PyArg_ParseTuple(args, "O!:gnome_dialog_run_and_close", &PyGtk_Type, &dialog))
        return NULL;
    return PyInt_FromLong(gnome_dialog_run_and_close(GNOME_DIALOG(PyGtk_Get(dialog))));
}

static PyObject *
_wrap_gnome_dialog_set_default(PyObject *self, PyObject *args)
{
    PyObject *dialog;
    int button;

    if (!PyArg_ParseTuple(args, "O!i:gnome_dialog_set_default", &PyGtk_Type, &dialog, &button))
        return NULL;
    gnome_dialog_set_default(GNOME_DIALOG(PyGtk_Get(dialog)), button);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_set_sensitive(PyObject *self, PyObject *args)
{
    PyObject *dialog;
    int button, setting;

    if (!PyArg_ParseTuple(args, "O!ii:gnome_dialog_set_sensitive", &PyGtk_Type, &dialog, &button, &setting))
        return NULL;
    gnome_dialog_set_sensitive(GNOME_DIALOG(PyGtk_Get(dialog)), button, setting);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_set_accelerator(PyObject *self, PyObject *args)
{
    PyObject *dialog, *py_accelerator_mods;
    int button, accelerator_key;
    GdkModifierType accelerator_mods;

    if (!PyArg_ParseTuple(args, "O!iiO:gnome_dialog_set_accelerator", &PyGtk_Type, &dialog, &button, &accelerator_key, &py_accelerator_mods))
        return NULL;
    if (PyGtkFlag_get_value(GTK_TYPE_GDK_MODIFIER_TYPE, py_accelerator_mods, (gint *)&accelerator_mods))
        return NULL;
    gnome_dialog_set_accelerator(GNOME_DIALOG(PyGtk_Get(dialog)), button, accelerator_key, accelerator_mods);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_close(PyObject *self, PyObject *args)
{
    PyObject *dialog;

    if (!PyArg_ParseTuple(args, "O!:gnome_dialog_close", &PyGtk_Type, &dialog))
        return NULL;
    gnome_dialog_close(GNOME_DIALOG(PyGtk_Get(dialog)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_close_hides(PyObject *self, PyObject *args)
{
    PyObject *dialog;
    int just_hide;

    if (!PyArg_ParseTuple(args, "O!i:gnome_dialog_close_hides", &PyGtk_Type, &dialog, &just_hide))
        return NULL;
    gnome_dialog_close_hides(GNOME_DIALOG(PyGtk_Get(dialog)), just_hide);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_set_close(PyObject *self, PyObject *args)
{
    PyObject *dialog;
    int click_closes;

    if (!PyArg_ParseTuple(args, "O!i:gnome_dialog_set_close", &PyGtk_Type, &dialog, &click_closes))
        return NULL;
    gnome_dialog_set_close(GNOME_DIALOG(PyGtk_Get(dialog)), click_closes);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_editable_enters(PyObject *self, PyObject *args)
{
    PyObject *dialog, *editable;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_dialog_editable_enters", &PyGtk_Type, &dialog, &PyGtk_Type, &editable))
        return NULL;
    gnome_dialog_editable_enters(GNOME_DIALOG(PyGtk_Get(dialog)), GTK_EDITABLE(PyGtk_Get(editable)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_append_buttons(PyObject *self, PyObject *args)
{
    PyObject *dialog;
    char *b1 = NULL, *b2 = NULL, *b3 = NULL, *b4 = NULL, *b5 = NULL, *b6 = NULL, *b7 = NULL, *b8 = NULL, *b9 = NULL, *b10 = NULL, *b11 = NULL;

    if (!PyArg_ParseTuple(args, "O!|sssssssssss:gnome_dialog_append_buttons", &PyGtk_Type, &dialog, &b1, &b2, &b3, &b4, &b5, &b6, &b7, &b8, &b9, &b10, &b11))
        return NULL;
    gnome_dialog_append_buttons(GNOME_DIALOG(PyGtk_Get(dialog)), b1, b2, b3, b4, b5, b6, b7, b8, b9, b10, b11);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_append_button(PyObject *self, PyObject *args)
{
    PyObject *dialog;
    char *name;

    if (!PyArg_ParseTuple(args, "O!s:gnome_dialog_append_button", &PyGtk_Type, &dialog, &name))
        return NULL;
    gnome_dialog_append_button(GNOME_DIALOG(PyGtk_Get(dialog)), name);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dialog_append_button_with_pixmap(PyObject *self, PyObject *args)
{
    PyObject *dialog;
    char *name, *pixmap;

    if (!PyArg_ParseTuple(args, "O!ss:gnome_dialog_append_button_with_pixmap", &PyGtk_Type, &dialog, &name, &pixmap))
        return NULL;
    gnome_dialog_append_button_with_pixmap(GNOME_DIALOG(PyGtk_Get(dialog)), name, pixmap);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_about_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_about_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_about_get_type());
}

static PyObject *
_wrap_gnome_pixmap_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_pixmap_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_pixmap_get_type());
}

static PyObject *
_wrap_gnome_pixmap_new_from_file(PyObject *self, PyObject *args)
{
    char *filename;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_pixmap_new_from_file", &filename))
        return NULL;
    ret = (GtkObject *) gnome_pixmap_new_from_file(filename);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_new_from_file_at_size(PyObject *self, PyObject *args)
{
    char *filename;
    int width, height;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "sii:gnome_pixmap_new_from_file_at_size", &filename, &width, &height))
        return NULL;
    ret = (GtkObject *) gnome_pixmap_new_from_file_at_size(filename, width, height);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_new_from_gnome_pixmap(PyObject *self, PyObject *args)
{
    PyObject *gpixmap;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_pixmap_new_from_gnome_pixmap", &PyGtk_Type, &gpixmap))
        return NULL;
    ret = (GtkObject *) gnome_pixmap_new_from_gnome_pixmap(GNOME_PIXMAP(PyGtk_Get(gpixmap)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_new_from_imlib(PyObject *self, PyObject *args)
{
    PyObject *image;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_pixmap_new_from_imlib", &PyGdkImlibImage_Type, &image))
        return NULL;
    ret = (GtkObject *) gnome_pixmap_new_from_imlib(PyGdkImlibImage_Get(image));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_new_from_imlib_at_size(PyObject *self, PyObject *args)
{
    PyObject *image;
    int width, height;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!ii:gnome_pixmap_new_from_imlib_at_size", &PyGdkImlibImage_Type, &image, &width, &height))
        return NULL;
    ret = (GtkObject *) gnome_pixmap_new_from_imlib_at_size(PyGdkImlibImage_Get(image), width, height);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_load_file(PyObject *self, PyObject *args)
{
    PyObject *gpixmap;
    char *filename;

    if (!PyArg_ParseTuple(args, "O!s:gnome_pixmap_load_file", &PyGtk_Type, &gpixmap, &filename))
        return NULL;
    gnome_pixmap_load_file(GNOME_PIXMAP(PyGtk_Get(gpixmap)), filename);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_load_file_at_size(PyObject *self, PyObject *args)
{
    PyObject *gpixmap;
    char *filename;
    int width, height;

    if (!PyArg_ParseTuple(args, "O!sii:gnome_pixmap_load_file_at_size", &PyGtk_Type, &gpixmap, &filename, &width, &height))
        return NULL;
    gnome_pixmap_load_file_at_size(GNOME_PIXMAP(PyGtk_Get(gpixmap)), filename, width, height);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_load_imlib(PyObject *self, PyObject *args)
{
    PyObject *gpixmap, *image;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_pixmap_load_imlib", &PyGtk_Type, &gpixmap, &PyGdkImlibImage_Type, &image))
        return NULL;
    gnome_pixmap_load_imlib(GNOME_PIXMAP(PyGtk_Get(gpixmap)), PyGdkImlibImage_Get(image));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_load_imlib_at_size(PyObject *self, PyObject *args)
{
    PyObject *gpixmap, *image;
    int width, height;

    if (!PyArg_ParseTuple(args, "O!O!ii:gnome_pixmap_load_imlib_at_size", &PyGtk_Type, &gpixmap, &PyGdkImlibImage_Type, &image, &width, &height))
        return NULL;
    gnome_pixmap_load_imlib_at_size(GNOME_PIXMAP(PyGtk_Get(gpixmap)), PyGdkImlibImage_Get(image), width, height);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_animator_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_animator_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_animator_get_type());
}

static PyObject *
_wrap_gnome_animator_new_with_size(PyObject *self, PyObject *args)
{
    int width, height;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ii:gnome_animator_new_with_size", &width, &height))
        return NULL;
    ret = (GtkObject *) gnome_animator_new_with_size(width, height);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_animator_set_loop_type(PyObject *self, PyObject *args)
{
    PyObject *animator, *py_loop_type;
    GnomeAnimatorLoopType loop_type;

    if (!PyArg_ParseTuple(args, "O!O:gnome_animator_set_loop_type", &PyGtk_Type, &animator, &py_loop_type))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_ANIMATOR_LOOP_TYPE, py_loop_type, (gint *)&loop_type))
        return NULL;
    gnome_animator_set_loop_type(GNOME_ANIMATOR(PyGtk_Get(animator)), loop_type);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_animator_get_loop_type(PyObject *self, PyObject *args)
{
    PyObject *animator;

    if (!PyArg_ParseTuple(args, "O!:gnome_animator_get_loop_type", &PyGtk_Type, &animator))
        return NULL;
    return PyInt_FromLong(gnome_animator_get_loop_type(GNOME_ANIMATOR(PyGtk_Get(animator))));
}

static PyObject *
_wrap_gnome_animator_set_playback_direction(PyObject *self, PyObject *args)
{
    PyObject *animator;
    int playback_direction;

    if (!PyArg_ParseTuple(args, "O!i:gnome_animator_set_playback_direction", &PyGtk_Type, &animator, &playback_direction))
        return NULL;
    gnome_animator_set_playback_direction(GNOME_ANIMATOR(PyGtk_Get(animator)), playback_direction);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_animator_get_playback_direction(PyObject *self, PyObject *args)
{
    PyObject *animator;

    if (!PyArg_ParseTuple(args, "O!:gnome_animator_get_playback_direction", &PyGtk_Type, &animator))
        return NULL;
    return PyInt_FromLong(gnome_animator_get_playback_direction(GNOME_ANIMATOR(PyGtk_Get(animator))));
}

static PyObject *
_wrap_gnome_animator_append_frame_from_imlib_at_size(PyObject *self, PyObject *args)
{
    PyObject *animator, *image;
    int x_offset, y_offset, interval, width, height;

    if (!PyArg_ParseTuple(args, "O!O!iiiii:gnome_animator_append_frame_from_imlib_at_size", &PyGtk_Type, &animator, &PyGdkImlibImage_Type, &image, &x_offset, &y_offset, &interval, &width, &height))
        return NULL;
    return PyInt_FromLong(gnome_animator_append_frame_from_imlib_at_size(GNOME_ANIMATOR(PyGtk_Get(animator)), PyGdkImlibImage_Get(image), x_offset, y_offset, interval, width, height));
}

static PyObject *
_wrap_gnome_animator_append_frame_from_imlib(PyObject *self, PyObject *args)
{
    PyObject *animator, *image;
    int x_offset, y_offset, interval;

    if (!PyArg_ParseTuple(args, "O!O!iii:gnome_animator_append_frame_from_imlib", &PyGtk_Type, &animator, &PyGdkImlibImage_Type, &image, &x_offset, &y_offset, &interval))
        return NULL;
    return PyInt_FromLong(gnome_animator_append_frame_from_imlib(GNOME_ANIMATOR(PyGtk_Get(animator)), PyGdkImlibImage_Get(image), x_offset, y_offset, interval));
}

static PyObject *
_wrap_gnome_animator_append_frame_from_file_at_size(PyObject *self, PyObject *args)
{
    PyObject *animator;
    char *name;
    int x_offset, y_offset, interval, width, height;

    if (!PyArg_ParseTuple(args, "O!siiiii:gnome_animator_append_frame_from_file_at_size", &PyGtk_Type, &animator, &name, &x_offset, &y_offset, &interval, &width, &height))
        return NULL;
    return PyInt_FromLong(gnome_animator_append_frame_from_file_at_size(GNOME_ANIMATOR(PyGtk_Get(animator)), name, x_offset, y_offset, interval, width, height));
}

static PyObject *
_wrap_gnome_animator_append_frame_from_file(PyObject *self, PyObject *args)
{
    PyObject *animator;
    char *name;
    int x_offset, y_offset, interval;

    if (!PyArg_ParseTuple(args, "O!siii:gnome_animator_append_frame_from_file", &PyGtk_Type, &animator, &name, &x_offset, &y_offset, &interval))
        return NULL;
    return PyInt_FromLong(gnome_animator_append_frame_from_file(GNOME_ANIMATOR(PyGtk_Get(animator)), name, x_offset, y_offset, interval));
}

static PyObject *
_wrap_gnome_animator_append_frames_from_imlib_at_size(PyObject *self, PyObject *args)
{
    PyObject *animator, *image;
    int x_offset, y_offset, interval, x_unit, width, height;

    if (!PyArg_ParseTuple(args, "O!O!iiiiii:gnome_animator_append_frames_from_imlib_at_size", &PyGtk_Type, &animator, &PyGdkImlibImage_Type, &image, &x_offset, &y_offset, &interval, &x_unit, &width, &height))
        return NULL;
    return PyInt_FromLong(gnome_animator_append_frames_from_imlib_at_size(GNOME_ANIMATOR(PyGtk_Get(animator)), PyGdkImlibImage_Get(image), x_offset, y_offset, interval, x_unit, width, height));
}

static PyObject *
_wrap_gnome_animator_append_frames_from_imlib(PyObject *self, PyObject *args)
{
    PyObject *animator, *image;
    int x_offset, y_offset, interval, x_unit;

    if (!PyArg_ParseTuple(args, "O!O!iiii:gnome_animator_append_frames_from_imlib", &PyGtk_Type, &animator, &PyGdkImlibImage_Type, &image, &x_offset, &y_offset, &interval, &x_unit))
        return NULL;
    return PyInt_FromLong(gnome_animator_append_frames_from_imlib(GNOME_ANIMATOR(PyGtk_Get(animator)), PyGdkImlibImage_Get(image), x_offset, y_offset, interval, x_unit));
}

static PyObject *
_wrap_gnome_animator_append_frames_from_file_at_size(PyObject *self, PyObject *args)
{
    PyObject *animator;
    char *name;
    int x_offset, y_offset, interval, x_unit, width, height;

    if (!PyArg_ParseTuple(args, "O!siiiiii:gnome_animator_append_frames_from_file_at_size", &PyGtk_Type, &animator, &name, &x_offset, &y_offset, &interval, &x_unit, &width, &height))
        return NULL;
    return PyInt_FromLong(gnome_animator_append_frames_from_file_at_size(GNOME_ANIMATOR(PyGtk_Get(animator)), name, x_offset, y_offset, interval, x_unit, width, height));
}

static PyObject *
_wrap_gnome_animator_append_frames_from_file(PyObject *self, PyObject *args)
{
    PyObject *animator;
    char *name;
    int x_offset, y_offset, interval, x_unit;

    if (!PyArg_ParseTuple(args, "O!siiii:gnome_animator_append_frames_from_file", &PyGtk_Type, &animator, &name, &x_offset, &y_offset, &interval, &x_unit))
        return NULL;
    return PyInt_FromLong(gnome_animator_append_frames_from_file(GNOME_ANIMATOR(PyGtk_Get(animator)), name, x_offset, y_offset, interval, x_unit));
}

static PyObject *
_wrap_gnome_animator_append_frame_from_gnome_pixmap(PyObject *self, PyObject *args)
{
    PyObject *animator, *pixmap;
    int x_offset, y_offset, interval;

    if (!PyArg_ParseTuple(args, "O!O!iii:gnome_animator_append_frame_from_gnome_pixmap", &PyGtk_Type, &animator, &PyGtk_Type, &pixmap, &x_offset, &y_offset, &interval))
        return NULL;
    return PyInt_FromLong(gnome_animator_append_frame_from_gnome_pixmap(GNOME_ANIMATOR(PyGtk_Get(animator)), GNOME_PIXMAP(PyGtk_Get(pixmap)), x_offset, y_offset, interval));
}

static PyObject *
_wrap_gnome_animator_start(PyObject *self, PyObject *args)
{
    PyObject *animator;

    if (!PyArg_ParseTuple(args, "O!:gnome_animator_start", &PyGtk_Type, &animator))
        return NULL;
    gnome_animator_start(GNOME_ANIMATOR(PyGtk_Get(animator)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_animator_stop(PyObject *self, PyObject *args)
{
    PyObject *animator;

    if (!PyArg_ParseTuple(args, "O!:gnome_animator_stop", &PyGtk_Type, &animator))
        return NULL;
    gnome_animator_stop(GNOME_ANIMATOR(PyGtk_Get(animator)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_animator_advance(PyObject *self, PyObject *args)
{
    PyObject *animator;
    int num;

    if (!PyArg_ParseTuple(args, "O!i:gnome_animator_advance", &PyGtk_Type, &animator, &num))
        return NULL;
    return PyInt_FromLong(gnome_animator_advance(GNOME_ANIMATOR(PyGtk_Get(animator)), num));
}

static PyObject *
_wrap_gnome_animator_goto_frame(PyObject *self, PyObject *args)
{
    PyObject *animator;
    int num_frame;

    if (!PyArg_ParseTuple(args, "O!i:gnome_animator_goto_frame", &PyGtk_Type, &animator, &num_frame))
        return NULL;
    gnome_animator_goto_frame(GNOME_ANIMATOR(PyGtk_Get(animator)), num_frame);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_animator_get_current_frame_number(PyObject *self, PyObject *args)
{
    PyObject *animator;

    if (!PyArg_ParseTuple(args, "O!:gnome_animator_get_current_frame_number", &PyGtk_Type, &animator))
        return NULL;
    return PyInt_FromLong(gnome_animator_get_current_frame_number(GNOME_ANIMATOR(PyGtk_Get(animator))));
}

static PyObject *
_wrap_gnome_animator_get_status(PyObject *self, PyObject *args)
{
    PyObject *animator;

    if (!PyArg_ParseTuple(args, "O!:gnome_animator_get_status", &PyGtk_Type, &animator))
        return NULL;
    return PyInt_FromLong(gnome_animator_get_status(GNOME_ANIMATOR(PyGtk_Get(animator))));
}

static PyObject *
_wrap_gnome_animator_set_playback_speed(PyObject *self, PyObject *args)
{
    PyObject *animator;
    double speed;

    if (!PyArg_ParseTuple(args, "O!d:gnome_animator_set_playback_speed", &PyGtk_Type, &animator, &speed))
        return NULL;
    gnome_animator_set_playback_speed(GNOME_ANIMATOR(PyGtk_Get(animator)), speed);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_animator_get_playback_speed(PyObject *self, PyObject *args)
{
    PyObject *animator;

    if (!PyArg_ParseTuple(args, "O!:gnome_animator_get_playback_speed", &PyGtk_Type, &animator))
        return NULL;
    return PyFloat_FromDouble(gnome_animator_get_playback_speed(GNOME_ANIMATOR(PyGtk_Get(animator))));
}

static PyObject *
_wrap_gnome_app_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_app_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_app_get_type());
}

static PyObject *
_wrap_gnome_dock_item_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_dock_item_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_dock_item_get_type());
}

static PyObject *
_wrap_gnome_dock_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_dock_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_dock_get_type());
}

static PyObject *
_wrap_gnome_app_new(PyObject *self, PyObject *args)
{
    char *appname, *title;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_app_new", &appname, &title))
        return NULL;
    ret = (GtkObject *) gnome_app_new(appname, title);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_set_menus(PyObject *self, PyObject *args)
{
    PyObject *app, *menubar;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_app_set_menus", &PyGtk_Type, &app, &PyGtk_Type, &menubar))
        return NULL;
    gnome_app_set_menus(GNOME_APP(PyGtk_Get(app)), GTK_MENU_BAR(PyGtk_Get(menubar)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_set_toolbar(PyObject *self, PyObject *args)
{
    PyObject *app, *toolbar;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_app_set_toolbar", &PyGtk_Type, &app, &PyGtk_Type, &toolbar))
        return NULL;
    gnome_app_set_toolbar(GNOME_APP(PyGtk_Get(app)), GTK_TOOLBAR(PyGtk_Get(toolbar)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_set_statusbar(PyObject *self, PyObject *args)
{
    PyObject *app, *statusbar;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_app_set_statusbar", &PyGtk_Type, &app, &PyGtk_Type, &statusbar))
        return NULL;
    gnome_app_set_statusbar(GNOME_APP(PyGtk_Get(app)), GTK_WIDGET(PyGtk_Get(statusbar)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_set_statusbar_custom(PyObject *self, PyObject *args)
{
    PyObject *app, *container, *statusbar;

    if (!PyArg_ParseTuple(args, "O!O!O!:gnome_app_set_statusbar_custom", &PyGtk_Type, &app, &PyGtk_Type, &container, &PyGtk_Type, &statusbar))
        return NULL;
    gnome_app_set_statusbar_custom(GNOME_APP(PyGtk_Get(app)), GTK_WIDGET(PyGtk_Get(container)), GTK_WIDGET(PyGtk_Get(statusbar)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_set_contents(PyObject *self, PyObject *args)
{
    PyObject *app, *contents;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_app_set_contents", &PyGtk_Type, &app, &PyGtk_Type, &contents))
        return NULL;
    gnome_app_set_contents(GNOME_APP(PyGtk_Get(app)), GTK_WIDGET(PyGtk_Get(contents)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_add_toolbar(PyObject *self, PyObject *args)
{
    PyObject *app, *toolbar, *py_behavior, *py_placement;
    char *name;
    int band_num, band_position, offset;
    GnomeDockItemBehavior behavior;
    GnomeDockPlacement placement;

    if (!PyArg_ParseTuple(args, "O!O!sOOiii:gnome_app_add_toolbar", &PyGtk_Type, &app, &PyGtk_Type, &toolbar, &name, &py_behavior, &py_placement, &band_num, &band_position, &offset))
        return NULL;
    if (PyGtkFlag_get_value(GTK_TYPE_GNOME_DOCK_ITEM_BEHAVIOR, py_behavior, (gint *)&behavior))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_DOCK_PLACEMENT, py_placement, (gint *)&placement))
        return NULL;
    gnome_app_add_toolbar(GNOME_APP(PyGtk_Get(app)), GTK_TOOLBAR(PyGtk_Get(toolbar)), name, behavior, placement, band_num, band_position, offset);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_add_docked(PyObject *self, PyObject *args)
{
    PyObject *app, *widget, *py_behavior, *py_placement;
    char *name;
    int band_num, band_position, offset;
    GnomeDockItemBehavior behavior;
    GnomeDockPlacement placement;

    if (!PyArg_ParseTuple(args, "O!O!sOOiii:gnome_app_add_docked", &PyGtk_Type, &app, &PyGtk_Type, &widget, &name, &py_behavior, &py_placement, &band_num, &band_position, &offset))
        return NULL;
    if (PyGtkFlag_get_value(GTK_TYPE_GNOME_DOCK_ITEM_BEHAVIOR, py_behavior, (gint *)&behavior))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_DOCK_PLACEMENT, py_placement, (gint *)&placement))
        return NULL;
    gnome_app_add_docked(GNOME_APP(PyGtk_Get(app)), GTK_WIDGET(PyGtk_Get(widget)), name, behavior, placement, band_num, band_position, offset);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_add_dock_item(PyObject *self, PyObject *args)
{
    PyObject *app, *item, *py_placement;
    GnomeDockPlacement placement;
    int band_num, band_position, offset;

    if (!PyArg_ParseTuple(args, "O!O!Oiii:gnome_app_add_dock_item", &PyGtk_Type, &app, &PyGtk_Type, &item, &py_placement, &band_num, &band_position, &offset))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_DOCK_PLACEMENT, py_placement, (gint *)&placement))
        return NULL;
    gnome_app_add_dock_item(GNOME_APP(PyGtk_Get(app)), GNOME_DOCK_ITEM(PyGtk_Get(item)), placement, band_num, band_position, offset);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_enable_layout_config(PyObject *self, PyObject *args)
{
    PyObject *app;
    int enable;

    if (!PyArg_ParseTuple(args, "O!i:gnome_app_enable_layout_config", &PyGtk_Type, &app, &enable))
        return NULL;
    gnome_app_enable_layout_config(GNOME_APP(PyGtk_Get(app)), enable);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_get_dock(PyObject *self, PyObject *args)
{
    PyObject *app;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_app_get_dock", &PyGtk_Type, &app))
        return NULL;
    ret = (GtkObject *) gnome_app_get_dock(GNOME_APP(PyGtk_Get(app)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_get_dock_item_by_name(PyObject *self, PyObject *args)
{
    PyObject *app;
    char *name;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!s:gnome_app_get_dock_item_by_name", &PyGtk_Type, &app, &name))
        return NULL;
    ret = (GtkObject *) gnome_app_get_dock_item_by_name(GNOME_APP(PyGtk_Get(app)), name);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_remove_menus(PyObject *self, PyObject *args)
{
    PyObject *app;
    char *path;
    int items;

    if (!PyArg_ParseTuple(args, "O!si:gnome_app_remove_menus", &PyGtk_Type, &app, &path, &items))
        return NULL;
    gnome_app_remove_menus(GNOME_APP(PyGtk_Get(app)), path, items);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_remove_menu_range(PyObject *self, PyObject *args)
{
    PyObject *app;
    char *path;
    int start, items;

    if (!PyArg_ParseTuple(args, "O!sii:gnome_app_remove_menu_range", &PyGtk_Type, &app, &path, &start, &items))
        return NULL;
    gnome_app_remove_menu_range(GNOME_APP(PyGtk_Get(app)), path, start, items);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_message(PyObject *self, PyObject *args)
{
    PyObject *app;
    char *message;

    if (!PyArg_ParseTuple(args, "O!s:gnome_app_message", &PyGtk_Type, &app, &message))
        return NULL;
    gnome_app_message(GNOME_APP(PyGtk_Get(app)), message);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_flash(PyObject *self, PyObject *args)
{
    PyObject *app;
    char *flash;

    if (!PyArg_ParseTuple(args, "O!s:gnome_app_flash", &PyGtk_Type, &app, &flash))
        return NULL;
    gnome_app_flash(GNOME_APP(PyGtk_Get(app)), flash);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_error(PyObject *self, PyObject *args)
{
    PyObject *app;
    char *error;

    if (!PyArg_ParseTuple(args, "O!s:gnome_app_error", &PyGtk_Type, &app, &error))
        return NULL;
    gnome_app_error(GNOME_APP(PyGtk_Get(app)), error);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_app_warning(PyObject *self, PyObject *args)
{
    PyObject *app;
    char *warning;

    if (!PyArg_ParseTuple(args, "O!s:gnome_app_warning", &PyGtk_Type, &app, &warning))
        return NULL;
    gnome_app_warning(GNOME_APP(PyGtk_Get(app)), warning);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_appbar_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_appbar_get_type());
}

static PyObject *
_wrap_gnome_appbar_new(PyObject *self, PyObject *args)
{
    int has_progress, has_status;
    PyObject *py_interactivity;
    GnomePreferencesType interactivity;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "iiO:gnome_appbar_new", &has_progress, &has_status, &py_interactivity))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_PREFERENCES_TYPE, py_interactivity, (gint *)&interactivity))
        return NULL;
    ret = (GtkObject *) gnome_appbar_new(has_progress, has_status, interactivity);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_GNOME_APPBAR_INTERACTIVE(PyObject *self, PyObject *args)
{
    PyObject *appbar;

    if (!PyArg_ParseTuple(args, "O!:GNOME_APPBAR_INTERACTIVE", &PyGtk_Type, &appbar))
        return NULL;
    return PyInt_FromLong(GNOME_APPBAR_INTERACTIVE(GNOME_APPBAR(PyGtk_Get(appbar))));
}

static PyObject *
_wrap_gnome_appbar_set_status(PyObject *self, PyObject *args)
{
    PyObject *appbar;
    char *status;

    if (!PyArg_ParseTuple(args, "O!s:gnome_appbar_set_status", &PyGtk_Type, &appbar, &status))
        return NULL;
    gnome_appbar_set_status(GNOME_APPBAR(PyGtk_Get(appbar)), status);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_set_default(PyObject *self, PyObject *args)
{
    PyObject *appbar;
    char *default_status;

    if (!PyArg_ParseTuple(args, "O!s:gnome_appbar_set_default", &PyGtk_Type, &appbar, &default_status))
        return NULL;
    gnome_appbar_set_default(GNOME_APPBAR(PyGtk_Get(appbar)), default_status);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_push(PyObject *self, PyObject *args)
{
    PyObject *appbar;
    char *status;

    if (!PyArg_ParseTuple(args, "O!s:gnome_appbar_push", &PyGtk_Type, &appbar, &status))
        return NULL;
    gnome_appbar_push(GNOME_APPBAR(PyGtk_Get(appbar)), status);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_pop(PyObject *self, PyObject *args)
{
    PyObject *appbar;

    if (!PyArg_ParseTuple(args, "O!:gnome_appbar_pop", &PyGtk_Type, &appbar))
        return NULL;
    gnome_appbar_pop(GNOME_APPBAR(PyGtk_Get(appbar)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_clear_stack(PyObject *self, PyObject *args)
{
    PyObject *appbar;

    if (!PyArg_ParseTuple(args, "O!:gnome_appbar_clear_stack", &PyGtk_Type, &appbar))
        return NULL;
    gnome_appbar_clear_stack(GNOME_APPBAR(PyGtk_Get(appbar)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_set_progress(PyObject *self, PyObject *args)
{
    PyObject *appbar;
    double percentage;

    if (!PyArg_ParseTuple(args, "O!d:gnome_appbar_set_progress", &PyGtk_Type, &appbar, &percentage))
        return NULL;
    gnome_appbar_set_progress(GNOME_APPBAR(PyGtk_Get(appbar)), percentage);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_get_progress(PyObject *self, PyObject *args)
{
    PyObject *appbar;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_appbar_get_progress", &PyGtk_Type, &appbar))
        return NULL;
    ret = (GtkObject *) gnome_appbar_get_progress(GNOME_APPBAR(PyGtk_Get(appbar)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_refresh(PyObject *self, PyObject *args)
{
    PyObject *appbar;

    if (!PyArg_ParseTuple(args, "O!:gnome_appbar_refresh", &PyGtk_Type, &appbar))
        return NULL;
    gnome_appbar_refresh(GNOME_APPBAR(PyGtk_Get(appbar)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_set_prompt(PyObject *self, PyObject *args)
{
    PyObject *appbar;
    char *prompt;
    int modal;

    if (!PyArg_ParseTuple(args, "O!si:gnome_appbar_set_prompt", &PyGtk_Type, &appbar, &prompt, &modal))
        return NULL;
    gnome_appbar_set_prompt(GNOME_APPBAR(PyGtk_Get(appbar)), prompt, modal);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_clear_prompt(PyObject *self, PyObject *args)
{
    PyObject *appbar;

    if (!PyArg_ParseTuple(args, "O!:gnome_appbar_clear_prompt", &PyGtk_Type, &appbar))
        return NULL;
    gnome_appbar_clear_prompt(GNOME_APPBAR(PyGtk_Get(appbar)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_appbar_get_response(PyObject *self, PyObject *args)
{
    PyObject *py_ret, *appbar;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_appbar_get_response", &PyGtk_Type, &appbar))
        return NULL;
    ret = gnome_appbar_get_response(GNOME_APPBAR(PyGtk_Get(appbar)));
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_calculator_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_calculator_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_calculator_get_type());
}

static PyObject *
_wrap_gnome_calculator_get_result(PyObject *self, PyObject *args)
{
    PyObject *obj;

    if (!PyArg_ParseTuple(args, "O!:gnome_calculator_get_result", &PyGtk_Type, &obj))
        return NULL;
    return PyFloat_FromDouble(GNOME_CALCULATOR(PyGtk_Get(obj))->result);
}

static PyObject *
_wrap_gnome_calculator_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_calculator_new"))
        return NULL;
    ret = (GtkObject *) gnome_calculator_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_calculator_clear(PyObject *self, PyObject *args)
{
    PyObject *calc;
    int reset;

    if (!PyArg_ParseTuple(args, "O!i:gnome_calculator_clear", &PyGtk_Type, &calc, &reset))
        return NULL;
    gnome_calculator_clear(GNOME_CALCULATOR(PyGtk_Get(calc)), reset);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_calculator_set(PyObject *self, PyObject *args)
{
    PyObject *calc;
    double result;

    if (!PyArg_ParseTuple(args, "O!d:gnome_calculator_set", &PyGtk_Type, &calc, &result))
        return NULL;
    gnome_calculator_set(GNOME_CALCULATOR(PyGtk_Get(calc)), result);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_get_type());
}

static PyObject *
_wrap_gnome_canvas_item_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_item_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_item_get_type());
}

static PyObject *
_wrap_gnome_canvas_group_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_group_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_group_get_type());
}

static PyObject *
_wrap_gnome_canvas_item_move(PyObject *self, PyObject *args)
{
    PyObject *item;
    double dx, dy;

    if (!PyArg_ParseTuple(args, "O!dd:gnome_canvas_item_move", &PyGtk_Type, &item, &dx, &dy))
        return NULL;
    gnome_canvas_item_move(GNOME_CANVAS_ITEM(PyGtk_Get(item)), dx, dy);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_item_raise(PyObject *self, PyObject *args)
{
    PyObject *item;
    int positions;

    if (!PyArg_ParseTuple(args, "O!i:gnome_canvas_item_raise", &PyGtk_Type, &item, &positions))
        return NULL;
    gnome_canvas_item_raise(GNOME_CANVAS_ITEM(PyGtk_Get(item)), positions);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_item_lower(PyObject *self, PyObject *args)
{
    PyObject *item;
    int positions;

    if (!PyArg_ParseTuple(args, "O!i:gnome_canvas_item_lower", &PyGtk_Type, &item, &positions))
        return NULL;
    gnome_canvas_item_lower(GNOME_CANVAS_ITEM(PyGtk_Get(item)), positions);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_item_raise_to_top(PyObject *self, PyObject *args)
{
    PyObject *item;

    if (!PyArg_ParseTuple(args, "O!:gnome_canvas_item_raise_to_top", &PyGtk_Type, &item))
        return NULL;
    gnome_canvas_item_raise_to_top(GNOME_CANVAS_ITEM(PyGtk_Get(item)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_item_lower_to_bottom(PyObject *self, PyObject *args)
{
    PyObject *item;

    if (!PyArg_ParseTuple(args, "O!:gnome_canvas_item_lower_to_bottom", &PyGtk_Type, &item))
        return NULL;
    gnome_canvas_item_lower_to_bottom(GNOME_CANVAS_ITEM(PyGtk_Get(item)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_item_show(PyObject *self, PyObject *args)
{
    PyObject *item;

    if (!PyArg_ParseTuple(args, "O!:gnome_canvas_item_show", &PyGtk_Type, &item))
        return NULL;
    gnome_canvas_item_show(GNOME_CANVAS_ITEM(PyGtk_Get(item)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_item_hide(PyObject *self, PyObject *args)
{
    PyObject *item;

    if (!PyArg_ParseTuple(args, "O!:gnome_canvas_item_hide", &PyGtk_Type, &item))
        return NULL;
    gnome_canvas_item_hide(GNOME_CANVAS_ITEM(PyGtk_Get(item)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_item_grab(PyObject *self, PyObject *args)
{
    PyObject *item, *py_mask, *cursor;
    int etime;
    GdkEventMask mask;

    if (!PyArg_ParseTuple(args, "O!OO!i:gnome_canvas_item_grab", &PyGtk_Type, &item, &py_mask, &PyGdkCursor_Type, &cursor, &etime))
        return NULL;
    if (PyGtkFlag_get_value(GTK_TYPE_GDK_EVENT_MASK, py_mask, (gint *)&mask))
        return NULL;
    return PyInt_FromLong(gnome_canvas_item_grab(GNOME_CANVAS_ITEM(PyGtk_Get(item)), mask, PyGdkCursor_Get(cursor), etime));
}

static PyObject *
_wrap_gnome_canvas_item_ungrab(PyObject *self, PyObject *args)
{
    PyObject *item;
    int etime;

    if (!PyArg_ParseTuple(args, "O!i:gnome_canvas_item_ungrab", &PyGtk_Type, &item, &etime))
        return NULL;
    gnome_canvas_item_ungrab(GNOME_CANVAS_ITEM(PyGtk_Get(item)), etime);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_item_reparent(PyObject *self, PyObject *args)
{
    PyObject *item, *new_group;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_canvas_item_reparent", &PyGtk_Type, &item, &PyGtk_Type, &new_group))
        return NULL;
    gnome_canvas_item_reparent(GNOME_CANVAS_ITEM(PyGtk_Get(item)), GNOME_CANVAS_GROUP(PyGtk_Get(new_group)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_item_grab_focus(PyObject *self, PyObject *args)
{
    PyObject *item;

    if (!PyArg_ParseTuple(args, "O!:gnome_canvas_item_grab_focus", &PyGtk_Type, &item))
        return NULL;
    gnome_canvas_item_grab_focus(GNOME_CANVAS_ITEM(PyGtk_Get(item)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_root(PyObject *self, PyObject *args)
{
    PyObject *canvas;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_canvas_root", &PyGtk_Type, &canvas))
        return NULL;
    ret = (GtkObject *) gnome_canvas_root(GNOME_CANVAS(PyGtk_Get(canvas)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_set_scroll_region(PyObject *self, PyObject *args)
{
    PyObject *canvas;
    double x1, y1, x2, y2;

    if (!PyArg_ParseTuple(args, "O!dddd:gnome_canvas_set_scroll_region", &PyGtk_Type, &canvas, &x1, &y1, &x2, &y2))
        return NULL;
    gnome_canvas_set_scroll_region(GNOME_CANVAS(PyGtk_Get(canvas)), x1, y1, x2, y2);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_set_pixels_per_unit(PyObject *self, PyObject *args)
{
    PyObject *canvas;
    double n;

    if (!PyArg_ParseTuple(args, "O!d:gnome_canvas_set_pixels_per_unit", &PyGtk_Type, &canvas, &n))
        return NULL;
    gnome_canvas_set_pixels_per_unit(GNOME_CANVAS(PyGtk_Get(canvas)), n);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_scroll_to(PyObject *self, PyObject *args)
{
    PyObject *canvas;
    int cx, cy;

    if (!PyArg_ParseTuple(args, "O!ii:gnome_canvas_scroll_to", &PyGtk_Type, &canvas, &cx, &cy))
        return NULL;
    gnome_canvas_scroll_to(GNOME_CANVAS(PyGtk_Get(canvas)), cx, cy);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_update_now(PyObject *self, PyObject *args)
{
    PyObject *canvas;

    if (!PyArg_ParseTuple(args, "O!:gnome_canvas_update_now", &PyGtk_Type, &canvas))
        return NULL;
    gnome_canvas_update_now(GNOME_CANVAS(PyGtk_Get(canvas)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_request_redraw(PyObject *self, PyObject *args)
{
    PyObject *canvas;
    int x1, y1, x2, y2;

    if (!PyArg_ParseTuple(args, "O!iiii:gnome_canvas_request_redraw", &PyGtk_Type, &canvas, &x1, &y1, &x2, &y2))
        return NULL;
    gnome_canvas_request_redraw(GNOME_CANVAS(PyGtk_Get(canvas)), x1, y1, x2, y2);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_set_stipple_origin(PyObject *self, PyObject *args)
{
    PyObject *canvas, *gc;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_canvas_set_stipple_origin", &PyGtk_Type, &canvas, &PyGdkGC_Type, &gc))
        return NULL;
    gnome_canvas_set_stipple_origin(GNOME_CANVAS(PyGtk_Get(canvas)), PyGdkGC_Get(gc));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_canvas_image_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_image_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_image_get_type());
}

static PyObject *
_wrap_gnome_canvas_line_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_line_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_line_get_type());
}

static PyObject *
_wrap_gnome_canvas_polygon_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_polygon_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_polygon_get_type());
}

static PyObject *
_wrap_gnome_canvas_re_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_re_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_re_get_type());
}

static PyObject *
_wrap_gnome_canvas_rect_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_rect_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_rect_get_type());
}

static PyObject *
_wrap_gnome_canvas_ellipse_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_ellipse_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_ellipse_get_type());
}

static PyObject *
_wrap_gnome_canvas_text_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_text_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_text_get_type());
}

static PyObject *
_wrap_gnome_canvas_widget_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_canvas_widget_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_canvas_widget_get_type());
}

static PyObject *
_wrap_gnome_client_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_client_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_client_get_type());
}

static PyObject *
_wrap_gnome_client_disable_master_connection(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_client_disable_master_connection"))
        return NULL;
    gnome_client_disable_master_connection();
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_master_client(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_master_client"))
        return NULL;
    ret = (GtkObject *) gnome_master_client();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_cloned_client(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_cloned_client"))
        return NULL;
    ret = (GtkObject *) gnome_cloned_client();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_client_new"))
        return NULL;
    ret = (GtkObject *) gnome_client_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_new_without_connection(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_client_new_without_connection"))
        return NULL;
    ret = (GtkObject *) gnome_client_new_without_connection();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_connect(PyObject *self, PyObject *args)
{
    PyObject *client;

    if (!PyArg_ParseTuple(args, "O!:gnome_client_connect", &PyGtk_Type, &client))
        return NULL;
    gnome_client_connect(GNOME_CLIENT(PyGtk_Get(client)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_disconnect(PyObject *self, PyObject *args)
{
    PyObject *client;

    if (!PyArg_ParseTuple(args, "O!:gnome_client_disconnect", &PyGtk_Type, &client))
        return NULL;
    gnome_client_disconnect(GNOME_CLIENT(PyGtk_Get(client)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_set_id(PyObject *self, PyObject *args)
{
    PyObject *client;
    char *client_id;

    if (!PyArg_ParseTuple(args, "O!s:gnome_client_set_id", &PyGtk_Type, &client, &client_id))
        return NULL;
    gnome_client_set_id(GNOME_CLIENT(PyGtk_Get(client)), client_id);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_get_id(PyObject *self, PyObject *args)
{
    PyObject *client;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_client_get_id", &PyGtk_Type, &client))
        return NULL;
    ret = gnome_client_get_id(GNOME_CLIENT(PyGtk_Get(client)));
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_client_get_previous_id(PyObject *self, PyObject *args)
{
    PyObject *client;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_client_get_previous_id", &PyGtk_Type, &client))
        return NULL;
    ret = gnome_client_get_previous_id(GNOME_CLIENT(PyGtk_Get(client)));
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_client_get_config_prefix(PyObject *self, PyObject *args)
{
    PyObject *client;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_client_get_config_prefix", &PyGtk_Type, &client))
        return NULL;
    ret = gnome_client_get_config_prefix(GNOME_CLIENT(PyGtk_Get(client)));
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_client_get_global_config_prefix(PyObject *self, PyObject *args)
{
    PyObject *client;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_client_get_global_config_prefix", &PyGtk_Type, &client))
        return NULL;
    ret = gnome_client_get_global_config_prefix(GNOME_CLIENT(PyGtk_Get(client)));
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_client_set_current_directory(PyObject *self, PyObject *args)
{
    PyObject *client;
    char *dir;

    if (!PyArg_ParseTuple(args, "O!s:gnome_client_set_current_directory", &PyGtk_Type, &client, &dir))
        return NULL;
    gnome_client_set_current_directory(GNOME_CLIENT(PyGtk_Get(client)), dir);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_set_environment(PyObject *self, PyObject *args)
{
    PyObject *client;
    char *name, *value;

    if (!PyArg_ParseTuple(args, "O!ss:gnome_client_set_environment", &PyGtk_Type, &client, &name, &value))
        return NULL;
    gnome_client_set_environment(GNOME_CLIENT(PyGtk_Get(client)), name, value);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_set_process_id(PyObject *self, PyObject *args)
{
    PyObject *client;
    int pid;

    if (!PyArg_ParseTuple(args, "O!i:gnome_client_set_process_id", &PyGtk_Type, &client, &pid))
        return NULL;
    gnome_client_set_process_id(GNOME_CLIENT(PyGtk_Get(client)), pid);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_set_program(PyObject *self, PyObject *args)
{
    PyObject *client;
    char *program;

    if (!PyArg_ParseTuple(args, "O!s:gnome_client_set_program", &PyGtk_Type, &client, &program))
        return NULL;
    gnome_client_set_program(GNOME_CLIENT(PyGtk_Get(client)), program);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_set_restart_style(PyObject *self, PyObject *args)
{
    PyObject *client, *py_style;
    GnomeRestartStyle style;

    if (!PyArg_ParseTuple(args, "O!O:gnome_client_set_restart_style", &PyGtk_Type, &client, &py_style))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_RESTART_STYLE, py_style, (gint *)&style))
        return NULL;
    gnome_client_set_restart_style(GNOME_CLIENT(PyGtk_Get(client)), style);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_set_priority(PyObject *self, PyObject *args)
{
    PyObject *client;
    int priority;

    if (!PyArg_ParseTuple(args, "O!i:gnome_client_set_priority", &PyGtk_Type, &client, &priority))
        return NULL;
    gnome_client_set_priority(GNOME_CLIENT(PyGtk_Get(client)), priority);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_set_user_id(PyObject *self, PyObject *args)
{
    PyObject *client;
    char *user_id;

    if (!PyArg_ParseTuple(args, "O!s:gnome_client_set_user_id", &PyGtk_Type, &client, &user_id))
        return NULL;
    gnome_client_set_user_id(GNOME_CLIENT(PyGtk_Get(client)), user_id);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_request_phase_2(PyObject *self, PyObject *args)
{
    PyObject *client;

    if (!PyArg_ParseTuple(args, "O!:gnome_client_request_phase_2", &PyGtk_Type, &client))
        return NULL;
    gnome_client_request_phase_2(GNOME_CLIENT(PyGtk_Get(client)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_interaction_key_return(PyObject *self, PyObject *args)
{
    int key, cancel_shutdown;

    if (!PyArg_ParseTuple(args, "ii:gnome_interaction_key_return", &key, &cancel_shutdown))
        return NULL;
    gnome_interaction_key_return(key, cancel_shutdown);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_request_save(PyObject *self, PyObject *args)
{
    PyObject *client, *py_save_style, *py_interact_style;
    int shutdown, fast, global;
    GnomeInteractStyle interact_style;
    GnomeSaveStyle save_style;

    if (!PyArg_ParseTuple(args, "O!OiOii:gnome_client_request_save", &PyGtk_Type, &client, &py_save_style, &shutdown, &py_interact_style, &fast, &global))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_SAVE_STYLE, py_save_style, (gint *)&save_style))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_INTERACT_STYLE, py_interact_style, (gint *)&interact_style))
        return NULL;
    gnome_client_request_save(GNOME_CLIENT(PyGtk_Get(client)), save_style, shutdown, interact_style, fast, global);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_flush(PyObject *self, PyObject *args)
{
    PyObject *client;

    if (!PyArg_ParseTuple(args, "O!:gnome_client_flush", &PyGtk_Type, &client))
        return NULL;
    gnome_client_flush(GNOME_CLIENT(PyGtk_Get(client)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_client_get_flags(PyObject *self, PyObject *args)
{
    PyObject *client;

    if (!PyArg_ParseTuple(args, "O!:gnome_client_get_flags", &PyGtk_Type, &client))
        return NULL;
    return PyInt_FromLong(gnome_client_get_flags(GNOME_CLIENT(PyGtk_Get(client))));
}

static PyObject *
_wrap_gnome_color_picker_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_color_picker_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_color_picker_get_type());
}

static PyObject *
_wrap_gnome_color_picker_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_color_picker_new"))
        return NULL;
    ret = (GtkObject *) gnome_color_picker_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_color_picker_set_d(PyObject *self, PyObject *args)
{
    PyObject *cp;
    double r, g, b, a;

    if (!PyArg_ParseTuple(args, "O!dddd:gnome_color_picker_set_d", &PyGtk_Type, &cp, &r, &g, &b, &a))
        return NULL;
    gnome_color_picker_set_d(GNOME_COLOR_PICKER(PyGtk_Get(cp)), r, g, b, a);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_color_picker_set_i8(PyObject *self, PyObject *args)
{
    PyObject *cp;
    int r, g, b, a;

    if (!PyArg_ParseTuple(args, "O!iiii:gnome_color_picker_set_i8", &PyGtk_Type, &cp, &r, &g, &b, &a))
        return NULL;
    gnome_color_picker_set_i8(GNOME_COLOR_PICKER(PyGtk_Get(cp)), r, g, b, a);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_color_picker_set_i16(PyObject *self, PyObject *args)
{
    PyObject *cp;
    int r, g, b, a;

    if (!PyArg_ParseTuple(args, "O!iiii:gnome_color_picker_set_i16", &PyGtk_Type, &cp, &r, &g, &b, &a))
        return NULL;
    gnome_color_picker_set_i16(GNOME_COLOR_PICKER(PyGtk_Get(cp)), r, g, b, a);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_color_picker_set_dither(PyObject *self, PyObject *args)
{
    PyObject *cp;
    int dither;

    if (!PyArg_ParseTuple(args, "O!i:gnome_color_picker_set_dither", &PyGtk_Type, &cp, &dither))
        return NULL;
    gnome_color_picker_set_dither(GNOME_COLOR_PICKER(PyGtk_Get(cp)), dither);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_color_picker_set_use_alpha(PyObject *self, PyObject *args)
{
    PyObject *cp;
    int use_alpha;

    if (!PyArg_ParseTuple(args, "O!i:gnome_color_picker_set_use_alpha", &PyGtk_Type, &cp, &use_alpha))
        return NULL;
    gnome_color_picker_set_use_alpha(GNOME_COLOR_PICKER(PyGtk_Get(cp)), use_alpha);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_color_picker_set_title(PyObject *self, PyObject *args)
{
    PyObject *cp;
    char *title;

    if (!PyArg_ParseTuple(args, "O!s:gnome_color_picker_set_title", &PyGtk_Type, &cp, &title))
        return NULL;
    gnome_color_picker_set_title(GNOME_COLOR_PICKER(PyGtk_Get(cp)), title);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_date_edit_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_date_edit_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_date_edit_get_type());
}

static PyObject *
_wrap_gnome_date_edit_new(PyObject *self, PyObject *args)
{
    int the_time, show_time, use_24_format;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "iii:gnome_date_edit_new", &the_time, &show_time, &use_24_format))
        return NULL;
    ret = (GtkObject *) gnome_date_edit_new(the_time, show_time, use_24_format);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_date_edit_new_flags(PyObject *self, PyObject *args)
{
    int the_time;
    PyObject *py_flags;
    GnomeDateEditFlags flags;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "iO:gnome_date_edit_new_flags", &the_time, &py_flags))
        return NULL;
    if (PyGtkFlag_get_value(GTK_TYPE_GNOME_DATE_EDIT_FLAGS, py_flags, (gint *)&flags))
        return NULL;
    ret = (GtkObject *) gnome_date_edit_new_flags(the_time, flags);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_date_edit_set_time(PyObject *self, PyObject *args)
{
    PyObject *gde;
    int the_time;

    if (!PyArg_ParseTuple(args, "O!i:gnome_date_edit_set_time", &PyGtk_Type, &gde, &the_time))
        return NULL;
    gnome_date_edit_set_time(GNOME_DATE_EDIT(PyGtk_Get(gde)), the_time);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_date_edit_set_popup_range(PyObject *self, PyObject *args)
{
    PyObject *gde;
    int low_hour, up_hour;

    if (!PyArg_ParseTuple(args, "O!ii:gnome_date_edit_set_popup_range", &PyGtk_Type, &gde, &low_hour, &up_hour))
        return NULL;
    gnome_date_edit_set_popup_range(GNOME_DATE_EDIT(PyGtk_Get(gde)), low_hour, up_hour);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_date_edit_get_date(PyObject *self, PyObject *args)
{
    PyObject *gde;

    if (!PyArg_ParseTuple(args, "O!:gnome_date_edit_get_date", &PyGtk_Type, &gde))
        return NULL;
    return PyInt_FromLong(gnome_date_edit_get_date(GNOME_DATE_EDIT(PyGtk_Get(gde))));
}

static PyObject *
_wrap_gnome_date_edit_set_flags(PyObject *self, PyObject *args)
{
    PyObject *gde, *py_flags;
    GnomeDateEditFlags flags;

    if (!PyArg_ParseTuple(args, "O!O:gnome_date_edit_set_flags", &PyGtk_Type, &gde, &py_flags))
        return NULL;
    if (PyGtkFlag_get_value(GTK_TYPE_GNOME_DATE_EDIT_FLAGS, py_flags, (gint *)&flags))
        return NULL;
    gnome_date_edit_set_flags(GNOME_DATE_EDIT(PyGtk_Get(gde)), flags);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_date_edit_get_flags(PyObject *self, PyObject *args)
{
    PyObject *gde;

    if (!PyArg_ParseTuple(args, "O!:gnome_date_edit_get_flags", &PyGtk_Type, &gde))
        return NULL;
    return PyInt_FromLong(gnome_date_edit_get_flags(GNOME_DATE_EDIT(PyGtk_Get(gde))));
}

static PyObject *
_wrap_gnome_dentry_edit_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_dentry_edit_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_dentry_edit_get_type());
}

static PyObject *
_wrap_gnome_dentry_edit_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_dentry_edit_new"))
        return NULL;
    ret = (GtkObject *) gnome_dentry_edit_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_edit_new_notebook(PyObject *self, PyObject *args)
{
    PyObject *notebook;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_edit_new_notebook", &PyGtk_Type, &notebook))
        return NULL;
    ret = (GtkObject *) gnome_dentry_edit_new_notebook(GTK_NOTEBOOK(PyGtk_Get(notebook)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_edit_child1(PyObject *self, PyObject *args)
{
    PyObject *dee;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_edit_child1", &PyGtk_Type, &dee))
        return NULL;
    ret = (GtkObject *) gnome_dentry_edit_child1(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_edit_child2(PyObject *self, PyObject *args)
{
    PyObject *dee;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_edit_child2", &PyGtk_Type, &dee))
        return NULL;
    ret = (GtkObject *) gnome_dentry_edit_child2(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_edit_clear(PyObject *self, PyObject *args)
{
    PyObject *dee;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_edit_clear", &PyGtk_Type, &dee))
        return NULL;
    gnome_dentry_edit_clear(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_edit_load_file(PyObject *self, PyObject *args)
{
    PyObject *dee;
    char *filename;

    if (!PyArg_ParseTuple(args, "O!s:gnome_dentry_edit_load_file", &PyGtk_Type, &dee, &filename))
        return NULL;
    gnome_dentry_edit_load_file(GNOME_DENTRY_EDIT(PyGtk_Get(dee)), filename);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_edit_get_icon(PyObject *self, PyObject *args)
{
    PyObject *py_ret, *dee;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_edit_get_icon", &PyGtk_Type, &dee))
        return NULL;
    ret = gnome_dentry_edit_get_icon(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_dentry_edit_get_name(PyObject *self, PyObject *args)
{
    PyObject *py_ret, *dee;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_edit_get_name", &PyGtk_Type, &dee))
        return NULL;
    ret = gnome_dentry_edit_get_name(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_dentry_get_name_entry(PyObject *self, PyObject *args)
{
    PyObject *dee;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_get_name_entry", &PyGtk_Type, &dee))
        return NULL;
    ret = (GtkObject *) gnome_dentry_get_name_entry(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_get_comment_entry(PyObject *self, PyObject *args)
{
    PyObject *dee;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_get_comment_entry", &PyGtk_Type, &dee))
        return NULL;
    ret = (GtkObject *) gnome_dentry_get_comment_entry(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_get_exec_entry(PyObject *self, PyObject *args)
{
    PyObject *dee;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_get_exec_entry", &PyGtk_Type, &dee))
        return NULL;
    ret = (GtkObject *) gnome_dentry_get_exec_entry(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_get_tryexec_entry(PyObject *self, PyObject *args)
{
    PyObject *dee;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_get_tryexec_entry", &PyGtk_Type, &dee))
        return NULL;
    ret = (GtkObject *) gnome_dentry_get_tryexec_entry(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_get_doc_entry(PyObject *self, PyObject *args)
{
    PyObject *dee;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_get_doc_entry", &PyGtk_Type, &dee))
        return NULL;
    ret = (GtkObject *) gnome_dentry_get_doc_entry(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dentry_get_icon_entry(PyObject *self, PyObject *args)
{
    PyObject *dee;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dentry_get_icon_entry", &PyGtk_Type, &dee))
        return NULL;
    ret = (GtkObject *) gnome_dentry_get_icon_entry(GNOME_DENTRY_EDIT(PyGtk_Get(dee)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_ok_dialog(PyObject *self, PyObject *args)
{
    char *message;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_ok_dialog", &message))
        return NULL;
    ret = (GtkObject *) gnome_ok_dialog(message);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_ok_dialog_parented(PyObject *self, PyObject *args)
{
    char *message;
    PyObject *parent;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "sO!:gnome_ok_dialog_parented", &message, &PyGtk_Type, &parent))
        return NULL;
    ret = (GtkObject *) gnome_ok_dialog_parented(message, GTK_WINDOW(PyGtk_Get(parent)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_error_dialog(PyObject *self, PyObject *args)
{
    char *message;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_error_dialog", &message))
        return NULL;
    ret = (GtkObject *) gnome_error_dialog(message);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_error_dialog_parented(PyObject *self, PyObject *args)
{
    char *message;
    PyObject *parent;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "sO!:gnome_error_dialog_parented", &message, &PyGtk_Type, &parent))
        return NULL;
    ret = (GtkObject *) gnome_error_dialog_parented(message, GTK_WINDOW(PyGtk_Get(parent)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_warning_dialog(PyObject *self, PyObject *args)
{
    char *message;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_warning_dialog", &message))
        return NULL;
    ret = (GtkObject *) gnome_warning_dialog(message);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_warning_dialog_parented(PyObject *self, PyObject *args)
{
    char *message;
    PyObject *parent;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "sO!:gnome_warning_dialog_parented", &message, &PyGtk_Type, &parent))
        return NULL;
    ret = (GtkObject *) gnome_warning_dialog_parented(message, GTK_WINDOW(PyGtk_Get(parent)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_item_new(PyObject *self, PyObject *args)
{
    char *name;
    PyObject *py_behavior;
    GnomeDockItemBehavior behavior;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "sO:gnome_dock_item_new", &name, &py_behavior))
        return NULL;
    if (PyGtkFlag_get_value(GTK_TYPE_GNOME_DOCK_ITEM_BEHAVIOR, py_behavior, (gint *)&behavior))
        return NULL;
    ret = (GtkObject *) gnome_dock_item_new(name, behavior);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_item_get_child(PyObject *self, PyObject *args)
{
    PyObject *item;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dock_item_get_child", &PyGtk_Type, &item))
        return NULL;
    ret = (GtkObject *) gnome_dock_item_get_child(GNOME_DOCK_ITEM(PyGtk_Get(item)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_item_get_name(PyObject *self, PyObject *args)
{
    PyObject *py_ret, *item;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dock_item_get_name", &PyGtk_Type, &item))
        return NULL;
    ret = gnome_dock_item_get_name(GNOME_DOCK_ITEM(PyGtk_Get(item)));
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_dock_item_set_shadow_type(PyObject *self, PyObject *args)
{
    PyObject *item, *py_type;
    GtkShadowType type;

    if (!PyArg_ParseTuple(args, "O!O:gnome_dock_item_set_shadow_type", &PyGtk_Type, &item, &py_type))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_SHADOW_TYPE, py_type, (gint *)&type))
        return NULL;
    gnome_dock_item_set_shadow_type(GNOME_DOCK_ITEM(PyGtk_Get(item)), type);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_item_get_shadow_type(PyObject *self, PyObject *args)
{
    PyObject *item;

    if (!PyArg_ParseTuple(args, "O!:gnome_dock_item_get_shadow_type", &PyGtk_Type, &item))
        return NULL;
    return PyInt_FromLong(gnome_dock_item_get_shadow_type(GNOME_DOCK_ITEM(PyGtk_Get(item))));
}

static PyObject *
_wrap_gnome_dock_item_set_orientation(PyObject *self, PyObject *args)
{
    PyObject *item, *py_orientation;
    GtkOrientation orientation;

    if (!PyArg_ParseTuple(args, "O!O:gnome_dock_item_set_orientation", &PyGtk_Type, &item, &py_orientation))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_ORIENTATION, py_orientation, (gint *)&orientation))
        return NULL;
    return PyInt_FromLong(gnome_dock_item_set_orientation(GNOME_DOCK_ITEM(PyGtk_Get(item)), orientation));
}

static PyObject *
_wrap_gnome_dock_item_get_orientation(PyObject *self, PyObject *args)
{
    PyObject *item;

    if (!PyArg_ParseTuple(args, "O!:gnome_dock_item_get_orientation", &PyGtk_Type, &item))
        return NULL;
    return PyInt_FromLong(gnome_dock_item_get_orientation(GNOME_DOCK_ITEM(PyGtk_Get(item))));
}

static PyObject *
_wrap_gnome_dock_item_get_behavior(PyObject *self, PyObject *args)
{
    PyObject *item;

    if (!PyArg_ParseTuple(args, "O!:gnome_dock_item_get_behavior", &PyGtk_Type, &item))
        return NULL;
    return PyInt_FromLong(gnome_dock_item_get_behavior(GNOME_DOCK_ITEM(PyGtk_Get(item))));
}

static PyObject *
_wrap_gnome_dock_band_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_dock_band_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_dock_band_get_type());
}

static PyObject *
_wrap_gnome_dock_band_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_dock_band_new"))
        return NULL;
    ret = (GtkObject *) gnome_dock_band_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_band_set_orientation(PyObject *self, PyObject *args)
{
    PyObject *band, *py_orientation;
    GtkOrientation orientation;

    if (!PyArg_ParseTuple(args, "O!O:gnome_dock_band_set_orientation", &PyGtk_Type, &band, &py_orientation))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_ORIENTATION, py_orientation, (gint *)&orientation))
        return NULL;
    gnome_dock_band_set_orientation(GNOME_DOCK_BAND(PyGtk_Get(band)), orientation);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_band_get_orientation(PyObject *self, PyObject *args)
{
    PyObject *band;

    if (!PyArg_ParseTuple(args, "O!:gnome_dock_band_get_orientation", &PyGtk_Type, &band))
        return NULL;
    return PyInt_FromLong(gnome_dock_band_get_orientation(GNOME_DOCK_BAND(PyGtk_Get(band))));
}

static PyObject *
_wrap_gnome_dock_band_insert(PyObject *self, PyObject *args)
{
    PyObject *band, *child;
    int offset, position;

    if (!PyArg_ParseTuple(args, "O!O!ii:gnome_dock_band_insert", &PyGtk_Type, &band, &PyGtk_Type, &child, &offset, &position))
        return NULL;
    return PyInt_FromLong(gnome_dock_band_insert(GNOME_DOCK_BAND(PyGtk_Get(band)), GTK_WIDGET(PyGtk_Get(child)), offset, position));
}

static PyObject *
_wrap_gnome_dock_band_prepend(PyObject *self, PyObject *args)
{
    PyObject *band, *child;
    int offset;

    if (!PyArg_ParseTuple(args, "O!O!i:gnome_dock_band_prepend", &PyGtk_Type, &band, &PyGtk_Type, &child, &offset))
        return NULL;
    return PyInt_FromLong(gnome_dock_band_prepend(GNOME_DOCK_BAND(PyGtk_Get(band)), GTK_WIDGET(PyGtk_Get(child)), offset));
}

static PyObject *
_wrap_gnome_dock_band_append(PyObject *self, PyObject *args)
{
    PyObject *band, *child;
    int offset;

    if (!PyArg_ParseTuple(args, "O!O!i:gnome_dock_band_append", &PyGtk_Type, &band, &PyGtk_Type, &child, &offset))
        return NULL;
    return PyInt_FromLong(gnome_dock_band_append(GNOME_DOCK_BAND(PyGtk_Get(band)), GTK_WIDGET(PyGtk_Get(child)), offset));
}

static PyObject *
_wrap_gnome_dock_band_set_child_offset(PyObject *self, PyObject *args)
{
    PyObject *band, *child;
    int offset;

    if (!PyArg_ParseTuple(args, "O!O!i:gnome_dock_band_set_child_offset", &PyGtk_Type, &band, &PyGtk_Type, &child, &offset))
        return NULL;
    gnome_dock_band_set_child_offset(GNOME_DOCK_BAND(PyGtk_Get(band)), GTK_WIDGET(PyGtk_Get(child)), offset);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_band_get_child_offset(PyObject *self, PyObject *args)
{
    PyObject *band, *child;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_dock_band_get_child_offset", &PyGtk_Type, &band, &PyGtk_Type, &child))
        return NULL;
    return PyInt_FromLong(gnome_dock_band_get_child_offset(GNOME_DOCK_BAND(PyGtk_Get(band)), GTK_WIDGET(PyGtk_Get(child))));
}

static PyObject *
_wrap_gnome_dock_band_get_num_children(PyObject *self, PyObject *args)
{
    PyObject *band;

    if (!PyArg_ParseTuple(args, "O!:gnome_dock_band_get_num_children", &PyGtk_Type, &band))
        return NULL;
    return PyInt_FromLong(gnome_dock_band_get_num_children(GNOME_DOCK_BAND(PyGtk_Get(band))));
}

static PyObject *
_wrap_gnome_dock_band_drag_begin(PyObject *self, PyObject *args)
{
    PyObject *band, *item;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_dock_band_drag_begin", &PyGtk_Type, &band, &PyGtk_Type, &item))
        return NULL;
    gnome_dock_band_drag_begin(GNOME_DOCK_BAND(PyGtk_Get(band)), GNOME_DOCK_ITEM(PyGtk_Get(item)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_band_drag_to(PyObject *self, PyObject *args)
{
    PyObject *band, *item;
    int x, y;

    if (!PyArg_ParseTuple(args, "O!O!ii:gnome_dock_band_drag_to", &PyGtk_Type, &band, &PyGtk_Type, &item, &x, &y))
        return NULL;
    gnome_dock_band_drag_to(GNOME_DOCK_BAND(PyGtk_Get(band)), GNOME_DOCK_ITEM(PyGtk_Get(item)), x, y);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_band_drag_end(PyObject *self, PyObject *args)
{
    PyObject *band, *item;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_dock_band_drag_end", &PyGtk_Type, &band, &PyGtk_Type, &item))
        return NULL;
    gnome_dock_band_drag_end(GNOME_DOCK_BAND(PyGtk_Get(band)), GNOME_DOCK_ITEM(PyGtk_Get(item)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_dock_new"))
        return NULL;
    ret = (GtkObject *) gnome_dock_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_allow_floating_items(PyObject *self, PyObject *args)
{
    PyObject *dock;
    int enable;

    if (!PyArg_ParseTuple(args, "O!i:gnome_dock_allow_floating_items", &PyGtk_Type, &dock, &enable))
        return NULL;
    gnome_dock_allow_floating_items(GNOME_DOCK(PyGtk_Get(dock)), enable);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_add_item(PyObject *self, PyObject *args)
{
    PyObject *dock, *item, *py_placement;
    GnomeDockPlacement placement;
    int band_num, position, offset, in_new_band;

    if (!PyArg_ParseTuple(args, "O!O!Oiiii:gnome_dock_add_item", &PyGtk_Type, &dock, &PyGtk_Type, &item, &py_placement, &band_num, &position, &offset, &in_new_band))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_DOCK_PLACEMENT, py_placement, (gint *)&placement))
        return NULL;
    gnome_dock_add_item(GNOME_DOCK(PyGtk_Get(dock)), GNOME_DOCK_ITEM(PyGtk_Get(item)), placement, band_num, position, offset, in_new_band);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_add_floating_item(PyObject *self, PyObject *args)
{
    PyObject *dock, *item, *py_orientation;
    int x, y;
    GtkOrientation orientation;

    if (!PyArg_ParseTuple(args, "O!O!iiO:gnome_dock_add_floating_item", &PyGtk_Type, &dock, &PyGtk_Type, &item, &x, &y, &py_orientation))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_ORIENTATION, py_orientation, (gint *)&orientation))
        return NULL;
    gnome_dock_add_floating_item(GNOME_DOCK(PyGtk_Get(dock)), GNOME_DOCK_ITEM(PyGtk_Get(item)), x, y, orientation);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_set_client_area(PyObject *self, PyObject *args)
{
    PyObject *dock, *widget;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_dock_set_client_area", &PyGtk_Type, &dock, &PyGtk_Type, &widget))
        return NULL;
    gnome_dock_set_client_area(GNOME_DOCK(PyGtk_Get(dock)), GTK_WIDGET(PyGtk_Get(widget)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_dock_get_client_area(PyObject *self, PyObject *args)
{
    PyObject *dock;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_dock_get_client_area", &PyGtk_Type, &dock))
        return NULL;
    ret = (GtkObject *) gnome_dock_get_client_area(GNOME_DOCK(PyGtk_Get(dock)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_entry_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_entry_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_entry_get_type());
}

static PyObject *
_wrap_gnome_entry_new(PyObject *self, PyObject *args)
{
    char *history_id;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_entry_new", &history_id))
        return NULL;
    ret = (GtkObject *) gnome_entry_new(history_id);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_entry_gtk_entry(PyObject *self, PyObject *args)
{
    PyObject *gentry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_entry_gtk_entry", &PyGtk_Type, &gentry))
        return NULL;
    ret = (GtkObject *) gnome_entry_gtk_entry(GNOME_ENTRY(PyGtk_Get(gentry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_entry_set_history_id(PyObject *self, PyObject *args)
{
    PyObject *gentry;
    char *history_id;

    if (!PyArg_ParseTuple(args, "O!s:gnome_entry_set_history_id", &PyGtk_Type, &gentry, &history_id))
        return NULL;
    gnome_entry_set_history_id(GNOME_ENTRY(PyGtk_Get(gentry)), history_id);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_entry_prepend_history(PyObject *self, PyObject *args)
{
    PyObject *gentry;
    int save;
    char *text;

    if (!PyArg_ParseTuple(args, "O!is:gnome_entry_prepend_history", &PyGtk_Type, &gentry, &save, &text))
        return NULL;
    gnome_entry_prepend_history(GNOME_ENTRY(PyGtk_Get(gentry)), save, text);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_entry_append_history(PyObject *self, PyObject *args)
{
    PyObject *gentry;
    int save;
    char *text;

    if (!PyArg_ParseTuple(args, "O!is:gnome_entry_append_history", &PyGtk_Type, &gentry, &save, &text))
        return NULL;
    gnome_entry_append_history(GNOME_ENTRY(PyGtk_Get(gentry)), save, text);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_entry_load_history(PyObject *self, PyObject *args)
{
    PyObject *gentry;

    if (!PyArg_ParseTuple(args, "O!:gnome_entry_load_history", &PyGtk_Type, &gentry))
        return NULL;
    gnome_entry_load_history(GNOME_ENTRY(PyGtk_Get(gentry)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_entry_save_history(PyObject *self, PyObject *args)
{
    PyObject *gentry;

    if (!PyArg_ParseTuple(args, "O!:gnome_entry_save_history", &PyGtk_Type, &gentry))
        return NULL;
    gnome_entry_save_history(GNOME_ENTRY(PyGtk_Get(gentry)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_file_entry_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_file_entry_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_file_entry_get_type());
}

static PyObject *
_wrap_gnome_file_entry_new(PyObject *self, PyObject *args)
{
    char *history_id, *browse_dialog_title;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_file_entry_new", &history_id, &browse_dialog_title))
        return NULL;
    ret = (GtkObject *) gnome_file_entry_new(history_id, browse_dialog_title);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_file_entry_gnome_entry(PyObject *self, PyObject *args)
{
    PyObject *fentry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_file_entry_gnome_entry", &PyGtk_Type, &fentry))
        return NULL;
    ret = (GtkObject *) gnome_file_entry_gnome_entry(GNOME_FILE_ENTRY(PyGtk_Get(fentry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_file_entry_gtk_entry(PyObject *self, PyObject *args)
{
    PyObject *fentry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_file_entry_gtk_entry", &PyGtk_Type, &fentry))
        return NULL;
    ret = (GtkObject *) gnome_file_entry_gtk_entry(GNOME_FILE_ENTRY(PyGtk_Get(fentry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_file_entry_set_title(PyObject *self, PyObject *args)
{
    PyObject *fentry;
    char *browse_dialog_title;

    if (!PyArg_ParseTuple(args, "O!s:gnome_file_entry_set_title", &PyGtk_Type, &fentry, &browse_dialog_title))
        return NULL;
    gnome_file_entry_set_title(GNOME_FILE_ENTRY(PyGtk_Get(fentry)), browse_dialog_title);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_file_entry_set_default_path(PyObject *self, PyObject *args)
{
    PyObject *fentry;
    char *path;

    if (!PyArg_ParseTuple(args, "O!s:gnome_file_entry_set_default_path", &PyGtk_Type, &fentry, &path))
        return NULL;
    gnome_file_entry_set_default_path(GNOME_FILE_ENTRY(PyGtk_Get(fentry)), path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_file_entry_set_directory(PyObject *self, PyObject *args)
{
    PyObject *fentry;
    int directory_entry;

    if (!PyArg_ParseTuple(args, "O!i:gnome_file_entry_set_directory", &PyGtk_Type, &fentry, &directory_entry))
        return NULL;
    gnome_file_entry_set_directory(GNOME_FILE_ENTRY(PyGtk_Get(fentry)), directory_entry);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_file_entry_set_modal(PyObject *self, PyObject *args)
{
    PyObject *fentry;
    int is_modal;

    if (!PyArg_ParseTuple(args, "O!i:gnome_file_entry_set_modal", &PyGtk_Type, &fentry, &is_modal))
        return NULL;
    gnome_file_entry_set_modal(GNOME_FILE_ENTRY(PyGtk_Get(fentry)), is_modal);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_font_picker_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_font_picker_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_font_picker_get_type());
}

static PyObject *
_wrap_gnome_font_picker_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_font_picker_new"))
        return NULL;
    ret = (GtkObject *) gnome_font_picker_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_font_picker_set_title(PyObject *self, PyObject *args)
{
    PyObject *gfp;
    char *title;

    if (!PyArg_ParseTuple(args, "O!s:gnome_font_picker_set_title", &PyGtk_Type, &gfp, &title))
        return NULL;
    gnome_font_picker_set_title(GNOME_FONT_PICKER(PyGtk_Get(gfp)), title);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_font_picker_get_mode(PyObject *self, PyObject *args)
{
    PyObject *gfp;

    if (!PyArg_ParseTuple(args, "O!:gnome_font_picker_get_mode", &PyGtk_Type, &gfp))
        return NULL;
    return PyInt_FromLong(gnome_font_picker_get_mode(GNOME_FONT_PICKER(PyGtk_Get(gfp))));
}

static PyObject *
_wrap_gnome_font_picker_set_mode(PyObject *self, PyObject *args)
{
    PyObject *gfp, *py_mode;
    GnomeFontPickerMode mode;

    if (!PyArg_ParseTuple(args, "O!O:gnome_font_picker_set_mode", &PyGtk_Type, &gfp, &py_mode))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_FONT_PICKER_MODE, py_mode, (gint *)&mode))
        return NULL;
    gnome_font_picker_set_mode(GNOME_FONT_PICKER(PyGtk_Get(gfp)), mode);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_font_picker_fi_set_use_font_in_label(PyObject *self, PyObject *args)
{
    PyObject *gfp;
    int use_font_in_label, size;

    if (!PyArg_ParseTuple(args, "O!ii:gnome_font_picker_fi_set_use_font_in_label", &PyGtk_Type, &gfp, &use_font_in_label, &size))
        return NULL;
    gnome_font_picker_fi_set_use_font_in_label(GNOME_FONT_PICKER(PyGtk_Get(gfp)), use_font_in_label, size);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_font_picker_fi_set_show_size(PyObject *self, PyObject *args)
{
    PyObject *gfp;
    int show_size;

    if (!PyArg_ParseTuple(args, "O!i:gnome_font_picker_fi_set_show_size", &PyGtk_Type, &gfp, &show_size))
        return NULL;
    gnome_font_picker_fi_set_show_size(GNOME_FONT_PICKER(PyGtk_Get(gfp)), show_size);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_font_picker_uw_set_widget(PyObject *self, PyObject *args)
{
    PyObject *gfp, *widget;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_font_picker_uw_set_widget", &PyGtk_Type, &gfp, &PyGtk_Type, &widget))
        return NULL;
    gnome_font_picker_uw_set_widget(GNOME_FONT_PICKER(PyGtk_Get(gfp)), GTK_WIDGET(PyGtk_Get(widget)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_font_picker_get_font_name(PyObject *self, PyObject *args)
{
    PyObject *gfp;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_font_picker_get_font_name", &PyGtk_Type, &gfp))
        return NULL;
    ret = gnome_font_picker_get_font_name(GNOME_FONT_PICKER(PyGtk_Get(gfp)));
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_font_picker_get_font(PyObject *self, PyObject *args)
{
    GdkFont *ret;
    PyObject *gfp;

    if (!PyArg_ParseTuple(args, "O!:gnome_font_picker_get_font", &PyGtk_Type, &gfp))
        return NULL;
    ret = gnome_font_picker_get_font(GNOME_FONT_PICKER(PyGtk_Get(gfp)));
    if (ret)
        return PyGdkFont_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_font_picker_set_font_name(PyObject *self, PyObject *args)
{
    PyObject *gfp;
    char *fontname;

    if (!PyArg_ParseTuple(args, "O!s:gnome_font_picker_set_font_name", &PyGtk_Type, &gfp, &fontname))
        return NULL;
    return PyInt_FromLong(gnome_font_picker_set_font_name(GNOME_FONT_PICKER(PyGtk_Get(gfp)), fontname));
}

static PyObject *
_wrap_gnome_font_picker_get_preview_text(PyObject *self, PyObject *args)
{
    PyObject *gfp;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_font_picker_get_preview_text", &PyGtk_Type, &gfp))
        return NULL;
    ret = gnome_font_picker_get_preview_text(GNOME_FONT_PICKER(PyGtk_Get(gfp)));
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_font_picker_set_preview_text(PyObject *self, PyObject *args)
{
    PyObject *gfp;
    char *text;

    if (!PyArg_ParseTuple(args, "O!s:gnome_font_picker_set_preview_text", &PyGtk_Type, &gfp, &text))
        return NULL;
    gnome_font_picker_set_preview_text(GNOME_FONT_PICKER(PyGtk_Get(gfp)), text);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_guru_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_guru_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_guru_get_type());
}

static PyObject *
_wrap_gnome_guru_new(PyObject *self, PyObject *args)
{
    char *name = NULL;
    PyObject *py_graphic = NULL, *py_dialog = NULL;
    GnomeDialog *dialog = NULL;
    GtkObject *ret;
    GtkWidget *graphic = NULL;

    if (!PyArg_ParseTuple(args, "|sO!O!:gnome_guru_new", &name, &PyGtk_Type, &py_graphic, &PyGtk_Type, &py_dialog))
        return NULL;
  if (py_graphic)
        graphic = GTK_WIDGET(PyGtk_Get(py_graphic));
  if (py_dialog)
        dialog = GNOME_DIALOG(PyGtk_Get(py_dialog));
    ret = (GtkObject *) gnome_guru_new(name, graphic, dialog);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_guru_append_page(PyObject *self, PyObject *args)
{
    PyObject *guru, *page;
    char *name;

    if (!PyArg_ParseTuple(args, "O!sO!:gnome_guru_append_page", &PyGtk_Type, &guru, &name, &PyGtk_Type, &page))
        return NULL;
    gnome_guru_append_page(GNOME_GURU(PyGtk_Get(guru)), name, GTK_WIDGET(PyGtk_Get(page)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_guru_next_set_sensitive(PyObject *self, PyObject *args)
{
    PyObject *guru;
    int sensitivity;

    if (!PyArg_ParseTuple(args, "O!i:gnome_guru_next_set_sensitive", &PyGtk_Type, &guru, &sensitivity))
        return NULL;
    gnome_guru_next_set_sensitive(GNOME_GURU(PyGtk_Get(guru)), sensitivity);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_guru_back_set_sensitive(PyObject *self, PyObject *args)
{
    PyObject *guru;
    int sensitivity;

    if (!PyArg_ParseTuple(args, "O!i:gnome_guru_back_set_sensitive", &PyGtk_Type, &guru, &sensitivity))
        return NULL;
    gnome_guru_back_set_sensitive(GNOME_GURU(PyGtk_Get(guru)), sensitivity);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_guru_current_page(PyObject *self, PyObject *args)
{
    PyObject *guru;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_guru_current_page", &PyGtk_Type, &guru))
        return NULL;
    ret = (GtkObject *) gnome_guru_current_page(GNOME_GURU(PyGtk_Get(guru)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_href_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_href_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_href_get_type());
}

static PyObject *
_wrap_gnome_href_new(PyObject *self, PyObject *args)
{
    char *url, *label = NULL;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s|s:gnome_href_new", &url, &label))
        return NULL;
    ret = (GtkObject *) gnome_href_new(url, label);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_href_set_url(PyObject *self, PyObject *args)
{
    PyObject *href;
    char *url;

    if (!PyArg_ParseTuple(args, "O!s:gnome_href_set_url", &PyGtk_Type, &href, &url))
        return NULL;
    gnome_href_set_url(GNOME_HREF(PyGtk_Get(href)), url);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_href_get_url(PyObject *self, PyObject *args)
{
    PyObject *href;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_href_get_url", &PyGtk_Type, &href))
        return NULL;
    ret = gnome_href_get_url(GNOME_HREF(PyGtk_Get(href)));
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_href_set_label(PyObject *self, PyObject *args)
{
    PyObject *href;
    char *label;

    if (!PyArg_ParseTuple(args, "O!s:gnome_href_set_label", &PyGtk_Type, &href, &label))
        return NULL;
    gnome_href_set_label(GNOME_HREF(PyGtk_Get(href)), label);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_href_get_label(PyObject *self, PyObject *args)
{
    PyObject *href;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_href_get_label", &PyGtk_Type, &href))
        return NULL;
    ret = gnome_href_get_label(GNOME_HREF(PyGtk_Get(href)));
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_icon_entry_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_icon_entry_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_icon_entry_get_type());
}

static PyObject *
_wrap_gnome_icon_entry_new(PyObject *self, PyObject *args)
{
    char *history_id, *browse_dialog_title;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_icon_entry_new", &history_id, &browse_dialog_title))
        return NULL;
    ret = (GtkObject *) gnome_icon_entry_new(history_id, browse_dialog_title);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_entry_set_pixmap_subdir(PyObject *self, PyObject *args)
{
    PyObject *ientry;
    char *subdir;

    if (!PyArg_ParseTuple(args, "O!s:gnome_icon_entry_set_pixmap_subdir", &PyGtk_Type, &ientry, &subdir))
        return NULL;
    gnome_icon_entry_set_pixmap_subdir(GNOME_ICON_ENTRY(PyGtk_Get(ientry)), subdir);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_entry_set_icon(PyObject *self, PyObject *args)
{
    PyObject *ientry;
    char *filename;

    if (!PyArg_ParseTuple(args, "O!s:gnome_icon_entry_set_icon", &PyGtk_Type, &ientry, &filename))
        return NULL;
    gnome_icon_entry_set_icon(GNOME_ICON_ENTRY(PyGtk_Get(ientry)), filename);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_entry_gnome_file_entry(PyObject *self, PyObject *args)
{
    PyObject *ientry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_entry_gnome_file_entry", &PyGtk_Type, &ientry))
        return NULL;
    ret = (GtkObject *) gnome_icon_entry_gnome_file_entry(GNOME_ICON_ENTRY(PyGtk_Get(ientry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_entry_gnome_entry(PyObject *self, PyObject *args)
{
    PyObject *ientry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_entry_gnome_entry", &PyGtk_Type, &ientry))
        return NULL;
    ret = (GtkObject *) gnome_icon_entry_gnome_entry(GNOME_ICON_ENTRY(PyGtk_Get(ientry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_entry_gtk_entry(PyObject *self, PyObject *args)
{
    PyObject *ientry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_entry_gtk_entry", &PyGtk_Type, &ientry))
        return NULL;
    ret = (GtkObject *) gnome_icon_entry_gtk_entry(GNOME_ICON_ENTRY(PyGtk_Get(ientry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_entry_get_filename(PyObject *self, PyObject *args)
{
    PyObject *py_ret, *ientry;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_entry_get_filename", &PyGtk_Type, &ientry))
        return NULL;
    ret = gnome_icon_entry_get_filename(GNOME_ICON_ENTRY(PyGtk_Get(ientry)));
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_icon_list_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_icon_list_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_icon_list_get_type());
}

static PyObject *
_wrap_gnome_icon_list_new(PyObject *self, PyObject *args)
{
    int icon_width, is_editable = FALSE;
    PyObject *py_adj = Py_None;
    GtkObject *ret;
    GtkAdjustment *adj = NULL;

    if (!PyArg_ParseTuple(args, "i|Oi:gnome_icon_list_new", &icon_width, &py_adj, &is_editable))
        return NULL;
    if (PyGtk_Check(py_adj))
        adj = GTK_ADJUSTMENT(PyGtk_Get(py_adj));
    else if (py_adj != Py_None) {
        PyErr_SetString(PyExc_TypeError, "adj argument must be a GtkAdjustment or None");
	return NULL;
    }
    ret = (GtkObject *) gnome_icon_list_new(icon_width, adj, is_editable);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_set_hadjustment(PyObject *self, PyObject *args)
{
    PyObject *gil, *hadj;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_icon_list_set_hadjustment", &PyGtk_Type, &gil, &PyGtk_Type, &hadj))
        return NULL;
    gnome_icon_list_set_hadjustment(GNOME_ICON_LIST(PyGtk_Get(gil)), GTK_ADJUSTMENT(PyGtk_Get(hadj)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_set_vadjustment(PyObject *self, PyObject *args)
{
    PyObject *gil, *vadj;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_icon_list_set_vadjustment", &PyGtk_Type, &gil, &PyGtk_Type, &vadj))
        return NULL;
    gnome_icon_list_set_vadjustment(GNOME_ICON_LIST(PyGtk_Get(gil)), GTK_ADJUSTMENT(PyGtk_Get(vadj)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_freeze(PyObject *self, PyObject *args)
{
    PyObject *gil;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_list_freeze", &PyGtk_Type, &gil))
        return NULL;
    gnome_icon_list_freeze(GNOME_ICON_LIST(PyGtk_Get(gil)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_thaw(PyObject *self, PyObject *args)
{
    PyObject *gil;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_list_thaw", &PyGtk_Type, &gil))
        return NULL;
    gnome_icon_list_thaw(GNOME_ICON_LIST(PyGtk_Get(gil)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_insert(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int pos;
    char *icon_filename, *text;

    if (!PyArg_ParseTuple(args, "O!iss:gnome_icon_list_insert", &PyGtk_Type, &gil, &pos, &icon_filename, &text))
        return NULL;
    gnome_icon_list_insert(GNOME_ICON_LIST(PyGtk_Get(gil)), pos, icon_filename, text);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_insert_imlib(PyObject *self, PyObject *args)
{
    PyObject *gil, *image;
    int pos;
    char *text;

    if (!PyArg_ParseTuple(args, "O!iO!s:gnome_icon_list_insert_imlib", &PyGtk_Type, &gil, &pos, &PyGdkImlibImage_Type, &image, &text))
        return NULL;
    gnome_icon_list_insert_imlib(GNOME_ICON_LIST(PyGtk_Get(gil)), pos, PyGdkImlibImage_Get(image), text);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_append(PyObject *self, PyObject *args)
{
    PyObject *gil;
    char *icon_filename, *text;

    if (!PyArg_ParseTuple(args, "O!ss:gnome_icon_list_append", &PyGtk_Type, &gil, &icon_filename, &text))
        return NULL;
    return PyInt_FromLong(gnome_icon_list_append(GNOME_ICON_LIST(PyGtk_Get(gil)), icon_filename, text));
}

static PyObject *
_wrap_gnome_icon_list_append_imlib(PyObject *self, PyObject *args)
{
    PyObject *gil, *image;
    char *text;

    if (!PyArg_ParseTuple(args, "O!O!s:gnome_icon_list_append_imlib", &PyGtk_Type, &gil, &PyGdkImlibImage_Type, &image, &text))
        return NULL;
    return PyInt_FromLong(gnome_icon_list_append_imlib(GNOME_ICON_LIST(PyGtk_Get(gil)), PyGdkImlibImage_Get(image), text));
}

static PyObject *
_wrap_gnome_icon_list_clear(PyObject *self, PyObject *args)
{
    PyObject *gil;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_list_clear", &PyGtk_Type, &gil))
        return NULL;
    gnome_icon_list_clear(GNOME_ICON_LIST(PyGtk_Get(gil)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_remove(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int pos;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_list_remove", &PyGtk_Type, &gil, &pos))
        return NULL;
    gnome_icon_list_remove(GNOME_ICON_LIST(PyGtk_Get(gil)), pos);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_set_selection_mode(PyObject *self, PyObject *args)
{
    PyObject *gil, *py_mode;
    GtkSelectionMode mode;

    if (!PyArg_ParseTuple(args, "O!O:gnome_icon_list_set_selection_mode", &PyGtk_Type, &gil, &py_mode))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_SELECTION_MODE, py_mode, (gint *)&mode))
        return NULL;
    gnome_icon_list_set_selection_mode(GNOME_ICON_LIST(PyGtk_Get(gil)), mode);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_select_icon(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int pos;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_list_select_icon", &PyGtk_Type, &gil, &pos))
        return NULL;
    gnome_icon_list_select_icon(GNOME_ICON_LIST(PyGtk_Get(gil)), pos);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_unselect_icon(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int pos;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_list_unselect_icon", &PyGtk_Type, &gil, &pos))
        return NULL;
    gnome_icon_list_unselect_icon(GNOME_ICON_LIST(PyGtk_Get(gil)), pos);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_unselect_all(PyObject *self, PyObject *args)
{
    PyObject *gil, *event;
    char *keep = NULL;

    if (!PyArg_ParseTuple(args, "O!O!|s:gnome_icon_list_unselect_all", &PyGtk_Type, &gil, &PyGdkEvent_Type, &event, &keep))
        return NULL;
    gnome_icon_list_unselect_all(GNOME_ICON_LIST(PyGtk_Get(gil)), PyGdkEvent_Get(event), keep);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_set_icon_width(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int width;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_list_set_icon_width", &PyGtk_Type, &gil, &width))
        return NULL;
    gnome_icon_list_set_icon_width(GNOME_ICON_LIST(PyGtk_Get(gil)), width);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_set_row_spacing(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int pixels;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_list_set_row_spacing", &PyGtk_Type, &gil, &pixels))
        return NULL;
    gnome_icon_list_set_row_spacing(GNOME_ICON_LIST(PyGtk_Get(gil)), pixels);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_set_col_spacing(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int pixels;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_list_set_col_spacing", &PyGtk_Type, &gil, &pixels))
        return NULL;
    gnome_icon_list_set_col_spacing(GNOME_ICON_LIST(PyGtk_Get(gil)), pixels);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_set_text_spacing(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int pixels;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_list_set_text_spacing", &PyGtk_Type, &gil, &pixels))
        return NULL;
    gnome_icon_list_set_text_spacing(GNOME_ICON_LIST(PyGtk_Get(gil)), pixels);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_set_icon_border(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int pixels;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_list_set_icon_border", &PyGtk_Type, &gil, &pixels))
        return NULL;
    gnome_icon_list_set_icon_border(GNOME_ICON_LIST(PyGtk_Get(gil)), pixels);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_set_separators(PyObject *self, PyObject *args)
{
    PyObject *gil;
    char *separators;

    if (!PyArg_ParseTuple(args, "O!s:gnome_icon_list_set_separators", &PyGtk_Type, &gil, &separators))
        return NULL;
    gnome_icon_list_set_separators(GNOME_ICON_LIST(PyGtk_Get(gil)), separators);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_moveto(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int pos;
    double yalign;

    if (!PyArg_ParseTuple(args, "O!id:gnome_icon_list_moveto", &PyGtk_Type, &gil, &pos, &yalign))
        return NULL;
    gnome_icon_list_moveto(GNOME_ICON_LIST(PyGtk_Get(gil)), pos, yalign);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_list_icon_is_visible(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int pos;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_list_icon_is_visible", &PyGtk_Type, &gil, &pos))
        return NULL;
    return PyInt_FromLong(gnome_icon_list_icon_is_visible(GNOME_ICON_LIST(PyGtk_Get(gil)), pos));
}

static PyObject *
_wrap_gnome_icon_list_get_icon_at(PyObject *self, PyObject *args)
{
    PyObject *gil;
    int x, y;

    if (!PyArg_ParseTuple(args, "O!ii:gnome_icon_list_get_icon_at", &PyGtk_Type, &gil, &x, &y))
        return NULL;
    return PyInt_FromLong(gnome_icon_list_get_icon_at(GNOME_ICON_LIST(PyGtk_Get(gil)), x, y));
}

static PyObject *
_wrap_gnome_icon_list_get_items_per_line(PyObject *self, PyObject *args)
{
    PyObject *gil;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_list_get_items_per_line", &PyGtk_Type, &gil))
        return NULL;
    return PyInt_FromLong(gnome_icon_list_get_items_per_line(GNOME_ICON_LIST(PyGtk_Get(gil))));
}

static PyObject *
_wrap_gnome_icon_text_item_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_icon_text_item_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_icon_text_item_get_type());
}

static PyObject *
_wrap_gnome_icon_text_item_setxy(PyObject *self, PyObject *args)
{
    PyObject *iti;
    int x, y;

    if (!PyArg_ParseTuple(args, "O!ii:gnome_icon_text_item_setxy", &PyGtk_Type, &iti, &x, &y))
        return NULL;
    gnome_icon_text_item_setxy(GNOME_ICON_TEXT_ITEM(PyGtk_Get(iti)), x, y);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_text_item_select(PyObject *self, PyObject *args)
{
    PyObject *iti;
    int sel;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_text_item_select", &PyGtk_Type, &iti, &sel))
        return NULL;
    gnome_icon_text_item_select(GNOME_ICON_TEXT_ITEM(PyGtk_Get(iti)), sel);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_text_item_get_text(PyObject *self, PyObject *args)
{
    PyObject *iti;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_text_item_get_text", &PyGtk_Type, &iti))
        return NULL;
    ret = gnome_icon_text_item_get_text(GNOME_ICON_TEXT_ITEM(PyGtk_Get(iti)));
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_icon_text_item_stop_editing(PyObject *self, PyObject *args)
{
    PyObject *iti;
    int accept;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_text_item_stop_editing", &PyGtk_Type, &iti, &accept))
        return NULL;
    gnome_icon_text_item_stop_editing(GNOME_ICON_TEXT_ITEM(PyGtk_Get(iti)), accept);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_selection_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_icon_selection_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_icon_selection_get_type());
}

static PyObject *
_wrap_gnome_icon_selection_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_icon_selection_new"))
        return NULL;
    ret = (GtkObject *) gnome_icon_selection_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_selection_add_defaults(PyObject *self, PyObject *args)
{
    PyObject *gis;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_selection_add_defaults", &PyGtk_Type, &gis))
        return NULL;
    gnome_icon_selection_add_defaults(GNOME_ICON_SELECTION(PyGtk_Get(gis)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_selection_add_directory(PyObject *self, PyObject *args)
{
    PyObject *gis;
    char *dir;

    if (!PyArg_ParseTuple(args, "O!s:gnome_icon_selection_add_directory", &PyGtk_Type, &gis, &dir))
        return NULL;
    gnome_icon_selection_add_directory(GNOME_ICON_SELECTION(PyGtk_Get(gis)), dir);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_selection_show_icons(PyObject *self, PyObject *args)
{
    PyObject *gis;

    if (!PyArg_ParseTuple(args, "O!:gnome_icon_selection_show_icons", &PyGtk_Type, &gis))
        return NULL;
    gnome_icon_selection_show_icons(GNOME_ICON_SELECTION(PyGtk_Get(gis)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_selection_clear(PyObject *self, PyObject *args)
{
    PyObject *gis;
    int not_shown;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_selection_clear", &PyGtk_Type, &gis, &not_shown))
        return NULL;
    gnome_icon_selection_clear(GNOME_ICON_SELECTION(PyGtk_Get(gis)), not_shown);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_icon_selection_get_icon(PyObject *self, PyObject *args)
{
    PyObject *gis;
    int full_path;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!i:gnome_icon_selection_get_icon", &PyGtk_Type, &gis, &full_path))
        return NULL;
    ret = gnome_icon_selection_get_icon(GNOME_ICON_SELECTION(PyGtk_Get(gis)), full_path);
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_icon_selection_select_icon(PyObject *self, PyObject *args)
{
    PyObject *gis;
    char *filename;

    if (!PyArg_ParseTuple(args, "O!s:gnome_icon_selection_select_icon", &PyGtk_Type, &gis, &filename))
        return NULL;
    gnome_icon_selection_select_icon(GNOME_ICON_SELECTION(PyGtk_Get(gis)), filename);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_less_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_less_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_less_get_type());
}

static PyObject *
_wrap_gnome_less_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_less_new"))
        return NULL;
    ret = (GtkObject *) gnome_less_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_less_clear(PyObject *self, PyObject *args)
{
    PyObject *less;

    if (!PyArg_ParseTuple(args, "O!:gnome_less_clear", &PyGtk_Type, &less))
        return NULL;
    gnome_less_clear(GNOME_LESS(PyGtk_Get(less)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_less_show_file(PyObject *self, PyObject *args)
{
    PyObject *less;
    char *path;

    if (!PyArg_ParseTuple(args, "O!s:gnome_less_show_file", &PyGtk_Type, &less, &path))
        return NULL;
    return PyInt_FromLong(gnome_less_show_file(GNOME_LESS(PyGtk_Get(less)), path));
}

static PyObject *
_wrap_gnome_less_show_command(PyObject *self, PyObject *args)
{
    PyObject *less;
    char *command_line;

    if (!PyArg_ParseTuple(args, "O!s:gnome_less_show_command", &PyGtk_Type, &less, &command_line))
        return NULL;
    return PyInt_FromLong(gnome_less_show_command(GNOME_LESS(PyGtk_Get(less)), command_line));
}

static PyObject *
_wrap_gnome_less_show_string(PyObject *self, PyObject *args)
{
    PyObject *less;
    char *str;

    if (!PyArg_ParseTuple(args, "O!s:gnome_less_show_string", &PyGtk_Type, &less, &str))
        return NULL;
    gnome_less_show_string(GNOME_LESS(PyGtk_Get(less)), str);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_less_show_filestream(PyObject *self, PyObject *args)
{
    PyObject *less, *fp;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_less_show_filestream", &PyGtk_Type, &less, &PyFile_Type, &fp))
        return NULL;
    return PyInt_FromLong(gnome_less_show_filestream(GNOME_LESS(PyGtk_Get(less)), PyFile_AsFile(fp)));
}

static PyObject *
_wrap_gnome_less_write_file(PyObject *self, PyObject *args)
{
    PyObject *less;
    char *filename;

    if (!PyArg_ParseTuple(args, "O!s:gnome_less_write_file", &PyGtk_Type, &less, &filename))
        return NULL;
    return PyInt_FromLong(gnome_less_write_file(GNOME_LESS(PyGtk_Get(less)), filename));
}

static PyObject *
_wrap_gnome_less_set_font(PyObject *self, PyObject *args)
{
    PyObject *less, *font;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_less_set_font", &PyGtk_Type, &less, &PyGdkFont_Type, &font))
        return NULL;
    gnome_less_set_font(GNOME_LESS(PyGtk_Get(less)), PyGdkFont_Get(font));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_less_set_fixed_font(PyObject *self, PyObject *args)
{
    PyObject *less;
    int fixed;

    if (!PyArg_ParseTuple(args, "O!i:gnome_less_set_fixed_font", &PyGtk_Type, &less, &fixed))
        return NULL;
    gnome_less_set_fixed_font(GNOME_LESS(PyGtk_Get(less)), fixed);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_less_reshow(PyObject *self, PyObject *args)
{
    PyObject *less;

    if (!PyArg_ParseTuple(args, "O!:gnome_less_reshow", &PyGtk_Type, &less))
        return NULL;
    gnome_less_reshow(GNOME_LESS(PyGtk_Get(less)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_child_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_mdi_child_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_mdi_child_get_type());
}

static PyObject *
_wrap_gnome_mdi_child_add_view(PyObject *self, PyObject *args)
{
    PyObject *mdic;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_mdi_child_add_view", &PyGtk_Type, &mdic))
        return NULL;
    ret = (GtkObject *) gnome_mdi_child_add_view(GNOME_MDI_CHILD(PyGtk_Get(mdic)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_child_remove_view(PyObject *self, PyObject *args)
{
    PyObject *mdic, *view;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_mdi_child_remove_view", &PyGtk_Type, &mdic, &PyGtk_Type, &view))
        return NULL;
    gnome_mdi_child_remove_view(GNOME_MDI_CHILD(PyGtk_Get(mdic)), GTK_WIDGET(PyGtk_Get(view)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_child_set_name(PyObject *self, PyObject *args)
{
    PyObject *mdic;
    char *name;

    if (!PyArg_ParseTuple(args, "O!s:gnome_mdi_child_set_name", &PyGtk_Type, &mdic, &name))
        return NULL;
    gnome_mdi_child_set_name(GNOME_MDI_CHILD(PyGtk_Get(mdic)), name);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_generic_child_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_mdi_generic_child_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_mdi_generic_child_get_type());
}

static PyObject *
_wrap_gnome_mdi_generic_child_new(PyObject *self, PyObject *args)
{
    char *name;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_mdi_generic_child_new", &name))
        return NULL;
    ret = (GtkObject *) gnome_mdi_generic_child_new(name);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_mdi_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_mdi_get_type());
}

static PyObject *
_wrap_gnome_mdi_new(PyObject *self, PyObject *args)
{
    char *appname, *title;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_mdi_new", &appname, &title))
        return NULL;
    ret = (GtkObject *) gnome_mdi_new(appname, title);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_set_mode(PyObject *self, PyObject *args)
{
    PyObject *mdi, *py_mode;
    GnomeMDIMode mode;

    if (!PyArg_ParseTuple(args, "O!O:gnome_mdi_set_mode", &PyGtk_Type, &mdi, &py_mode))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_GNOME_MDI_MODE, py_mode, (gint *)&mode))
        return NULL;
    gnome_mdi_set_mode(GNOME_MDI(PyGtk_Get(mdi)), mode);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_set_child_menu_path(PyObject *self, PyObject *args)
{
    PyObject *mdi;
    char *path;

    if (!PyArg_ParseTuple(args, "O!s:gnome_mdi_set_child_menu_path", &PyGtk_Type, &mdi, &path))
        return NULL;
    gnome_mdi_set_child_menu_path(GNOME_MDI(PyGtk_Get(mdi)), path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_set_child_list_path(PyObject *self, PyObject *args)
{
    PyObject *mdi;
    char *path;

    if (!PyArg_ParseTuple(args, "O!s:gnome_mdi_set_child_list_path", &PyGtk_Type, &mdi, &path))
        return NULL;
    gnome_mdi_set_child_list_path(GNOME_MDI(PyGtk_Get(mdi)), path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_add_view(PyObject *self, PyObject *args)
{
    PyObject *mdi, *child;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_mdi_add_view", &PyGtk_Type, &mdi, &PyGtk_Type, &child))
        return NULL;
    return PyInt_FromLong(gnome_mdi_add_view(GNOME_MDI(PyGtk_Get(mdi)), GNOME_MDI_CHILD(PyGtk_Get(child))));
}

static PyObject *
_wrap_gnome_mdi_add_toplevel_view(PyObject *self, PyObject *args)
{
    PyObject *mdi, *child;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_mdi_add_toplevel_view", &PyGtk_Type, &mdi, &PyGtk_Type, &child))
        return NULL;
    return PyInt_FromLong(gnome_mdi_add_toplevel_view(GNOME_MDI(PyGtk_Get(mdi)), GNOME_MDI_CHILD(PyGtk_Get(child))));
}

static PyObject *
_wrap_gnome_mdi_remove_view(PyObject *self, PyObject *args)
{
    PyObject *mdi, *view;
    int force;

    if (!PyArg_ParseTuple(args, "O!O!i:gnome_mdi_remove_view", &PyGtk_Type, &mdi, &PyGtk_Type, &view, &force))
        return NULL;
    return PyInt_FromLong(gnome_mdi_remove_view(GNOME_MDI(PyGtk_Get(mdi)), GTK_WIDGET(PyGtk_Get(view)), force));
}

static PyObject *
_wrap_gnome_mdi_get_active_view(PyObject *self, PyObject *args)
{
    PyObject *mdi;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_mdi_get_active_view", &PyGtk_Type, &mdi))
        return NULL;
    ret = (GtkObject *) gnome_mdi_get_active_view(GNOME_MDI(PyGtk_Get(mdi)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_set_active_view(PyObject *self, PyObject *args)
{
    PyObject *mdi, *view;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_mdi_set_active_view", &PyGtk_Type, &mdi, &PyGtk_Type, &view))
        return NULL;
    gnome_mdi_set_active_view(GNOME_MDI(PyGtk_Get(mdi)), GTK_WIDGET(PyGtk_Get(view)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_add_child(PyObject *self, PyObject *args)
{
    PyObject *mdi, *child;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_mdi_add_child", &PyGtk_Type, &mdi, &PyGtk_Type, &child))
        return NULL;
    return PyInt_FromLong(gnome_mdi_add_child(GNOME_MDI(PyGtk_Get(mdi)), GNOME_MDI_CHILD(PyGtk_Get(child))));
}

static PyObject *
_wrap_gnome_mdi_remove_child(PyObject *self, PyObject *args)
{
    PyObject *mdi, *child;
    int force;

    if (!PyArg_ParseTuple(args, "O!O!i:gnome_mdi_remove_child", &PyGtk_Type, &mdi, &PyGtk_Type, &child, &force))
        return NULL;
    return PyInt_FromLong(gnome_mdi_remove_child(GNOME_MDI(PyGtk_Get(mdi)), GNOME_MDI_CHILD(PyGtk_Get(child)), force));
}

static PyObject *
_wrap_gnome_mdi_remove_all(PyObject *self, PyObject *args)
{
    PyObject *mdi;
    int force;

    if (!PyArg_ParseTuple(args, "O!i:gnome_mdi_remove_all", &PyGtk_Type, &mdi, &force))
        return NULL;
    return PyInt_FromLong(gnome_mdi_remove_all(GNOME_MDI(PyGtk_Get(mdi)), force));
}

static PyObject *
_wrap_gnome_mdi_open_toplevel(PyObject *self, PyObject *args)
{
    PyObject *mdi;

    if (!PyArg_ParseTuple(args, "O!:gnome_mdi_open_toplevel", &PyGtk_Type, &mdi))
        return NULL;
    gnome_mdi_open_toplevel(GNOME_MDI(PyGtk_Get(mdi)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_update_child(PyObject *self, PyObject *args)
{
    PyObject *mdi, *child;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_mdi_update_child", &PyGtk_Type, &mdi, &PyGtk_Type, &child))
        return NULL;
    gnome_mdi_update_child(GNOME_MDI(PyGtk_Get(mdi)), GNOME_MDI_CHILD(PyGtk_Get(child)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_get_active_child(PyObject *self, PyObject *args)
{
    PyObject *mdi;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_mdi_get_active_child", &PyGtk_Type, &mdi))
        return NULL;
    ret = (GtkObject *) gnome_mdi_get_active_child(GNOME_MDI(PyGtk_Get(mdi)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_find_child(PyObject *self, PyObject *args)
{
    PyObject *mdi;
    char *name;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!s:gnome_mdi_find_child", &PyGtk_Type, &mdi, &name))
        return NULL;
    ret = (GtkObject *) gnome_mdi_find_child(GNOME_MDI(PyGtk_Get(mdi)), name);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_get_active_window(PyObject *self, PyObject *args)
{
    PyObject *mdi;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_mdi_get_active_window", &PyGtk_Type, &mdi))
        return NULL;
    ret = (GtkObject *) gnome_mdi_get_active_window(GNOME_MDI(PyGtk_Get(mdi)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_register(PyObject *self, PyObject *args)
{
    PyObject *mdi, *obj;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_mdi_register", &PyGtk_Type, &mdi, &PyGtk_Type, &obj))
        return NULL;
    gnome_mdi_register(GNOME_MDI(PyGtk_Get(mdi)), GTK_OBJECT(PyGtk_Get(obj)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_unregister(PyObject *self, PyObject *args)
{
    PyObject *mdi, *obj;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_mdi_unregister", &PyGtk_Type, &mdi, &PyGtk_Type, &obj))
        return NULL;
    gnome_mdi_unregister(GNOME_MDI(PyGtk_Get(mdi)), GTK_OBJECT(PyGtk_Get(obj)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_get_app_from_view(PyObject *self, PyObject *args)
{
    PyObject *view;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_mdi_get_app_from_view", &PyGtk_Type, &view))
        return NULL;
    ret = (GtkObject *) gnome_mdi_get_app_from_view(GTK_WIDGET(PyGtk_Get(view)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_get_child_from_view(PyObject *self, PyObject *args)
{
    PyObject *view;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_mdi_get_child_from_view", &PyGtk_Type, &view))
        return NULL;
    ret = (GtkObject *) gnome_mdi_get_child_from_view(GTK_WIDGET(PyGtk_Get(view)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_mdi_get_view_from_window(PyObject *self, PyObject *args)
{
    PyObject *mdi, *app_win;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_mdi_get_view_from_window", &PyGtk_Type, &mdi, &PyGtk_Type, &app_win))
        return NULL;
    ret = (GtkObject *) gnome_mdi_get_view_from_window(GNOME_MDI(PyGtk_Get(mdi)), GNOME_APP(PyGtk_Get(app_win)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_message_box_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_message_box_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_message_box_get_type());
}

static PyObject *
_wrap_gnome_message_box_new(PyObject *self, PyObject *args)
{
    char *message, *messagebox_type, *b1 = NULL, *b2 = NULL, *b3 = NULL, *b4 = NULL, *b5 = NULL, *b6 = NULL, *b7 = NULL, *b8 = NULL, *b9 = NULL, *b10 = NULL, *b11 = NULL;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ss|sssssssssss:gnome_message_box_new", &message, &messagebox_type, &b1, &b2, &b3, &b4, &b5, &b6, &b7, &b8, &b9, &b10, &b11))
        return NULL;
    ret = (GtkObject *) gnome_message_box_new(message, messagebox_type, b1, b2, b3, b4, b5, b6, b7, b8, b9, b10, b11);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_number_entry_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_number_entry_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_number_entry_get_type());
}

static PyObject *
_wrap_gnome_number_entry_new(PyObject *self, PyObject *args)
{
    char *history_id, *calc_dialog_title;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_number_entry_new", &history_id, &calc_dialog_title))
        return NULL;
    ret = (GtkObject *) gnome_number_entry_new(history_id, calc_dialog_title);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_number_entry_gnome_entry(PyObject *self, PyObject *args)
{
    PyObject *nentry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_number_entry_gnome_entry", &PyGtk_Type, &nentry))
        return NULL;
    ret = (GtkObject *) gnome_number_entry_gnome_entry(GNOME_NUMBER_ENTRY(PyGtk_Get(nentry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_number_entry_gtk_entry(PyObject *self, PyObject *args)
{
    PyObject *nentry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_number_entry_gtk_entry", &PyGtk_Type, &nentry))
        return NULL;
    ret = (GtkObject *) gnome_number_entry_gtk_entry(GNOME_NUMBER_ENTRY(PyGtk_Get(nentry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_number_entry_set_title(PyObject *self, PyObject *args)
{
    PyObject *nentry;
    char *calc_dialog_title;

    if (!PyArg_ParseTuple(args, "O!s:gnome_number_entry_set_title", &PyGtk_Type, &nentry, &calc_dialog_title))
        return NULL;
    gnome_number_entry_set_title(GNOME_NUMBER_ENTRY(PyGtk_Get(nentry)), calc_dialog_title);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_number_entry_get_number(PyObject *self, PyObject *args)
{
    PyObject *nentry;

    if (!PyArg_ParseTuple(args, "O!:gnome_number_entry_get_number", &PyGtk_Type, &nentry))
        return NULL;
    return PyFloat_FromDouble(gnome_number_entry_get_number(GNOME_NUMBER_ENTRY(PyGtk_Get(nentry))));
}

static PyObject *
_wrap_gnome_pixmap_entry_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_pixmap_entry_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_pixmap_entry_get_type());
}

static PyObject *
_wrap_gnome_pixmap_entry_new(PyObject *self, PyObject *args)
{
    char *history_id, *browse_dialog_title;
    int do_preview;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ssi:gnome_pixmap_entry_new", &history_id, &browse_dialog_title, &do_preview))
        return NULL;
    ret = (GtkObject *) gnome_pixmap_entry_new(history_id, browse_dialog_title, do_preview);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_entry_set_pixmap_subdir(PyObject *self, PyObject *args)
{
    PyObject *pentry;
    char *subdir;

    if (!PyArg_ParseTuple(args, "O!s:gnome_pixmap_entry_set_pixmap_subdir", &PyGtk_Type, &pentry, &subdir))
        return NULL;
    gnome_pixmap_entry_set_pixmap_subdir(GNOME_PIXMAP_ENTRY(PyGtk_Get(pentry)), subdir);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_entry_gnome_file_entry(PyObject *self, PyObject *args)
{
    PyObject *pentry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_pixmap_entry_gnome_file_entry", &PyGtk_Type, &pentry))
        return NULL;
    ret = (GtkObject *) gnome_pixmap_entry_gnome_file_entry(GNOME_PIXMAP_ENTRY(PyGtk_Get(pentry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_entry_gnome_entry(PyObject *self, PyObject *args)
{
    PyObject *pentry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_pixmap_entry_gnome_entry", &PyGtk_Type, &pentry))
        return NULL;
    ret = (GtkObject *) gnome_pixmap_entry_gnome_entry(GNOME_PIXMAP_ENTRY(PyGtk_Get(pentry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_entry_gtk_entry(PyObject *self, PyObject *args)
{
    PyObject *pentry;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_pixmap_entry_gtk_entry", &PyGtk_Type, &pentry))
        return NULL;
    ret = (GtkObject *) gnome_pixmap_entry_gtk_entry(GNOME_PIXMAP_ENTRY(PyGtk_Get(pentry)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_entry_set_preview(PyObject *self, PyObject *args)
{
    PyObject *pentry;
    int do_preview;

    if (!PyArg_ParseTuple(args, "O!i:gnome_pixmap_entry_set_preview", &PyGtk_Type, &pentry, &do_preview))
        return NULL;
    gnome_pixmap_entry_set_preview(GNOME_PIXMAP_ENTRY(PyGtk_Get(pentry)), do_preview);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_entry_set_preview_size(PyObject *self, PyObject *args)
{
    PyObject *pentry;
    int preview_w, preview_h;

    if (!PyArg_ParseTuple(args, "O!ii:gnome_pixmap_entry_set_preview_size", &PyGtk_Type, &pentry, &preview_w, &preview_h))
        return NULL;
    gnome_pixmap_entry_set_preview_size(GNOME_PIXMAP_ENTRY(PyGtk_Get(pentry)), preview_w, preview_h);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_pixmap_entry_get_filename(PyObject *self, PyObject *args)
{
    PyObject *py_ret, *pentry;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_pixmap_entry_get_filename", &PyGtk_Type, &pentry))
        return NULL;
    ret = gnome_pixmap_entry_get_filename(GNOME_PIXMAP_ENTRY(PyGtk_Get(pentry)));
    if (ret) {
        py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_paper_selector_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_paper_selector_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_paper_selector_get_type());
}

static PyObject *
_wrap_gnome_paper_selector_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_paper_selector_new"))
        return NULL;
    ret = (GtkObject *) gnome_paper_selector_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_paper_selector_get_name(PyObject *self, PyObject *args)
{
    PyObject *gspaper;
    gchar *ret;

    if (!PyArg_ParseTuple(args, "O!:gnome_paper_selector_get_name", &PyGtk_Type, &gspaper))
        return NULL;
    ret = gnome_paper_selector_get_name(GNOME_PAPER_SELECTOR(PyGtk_Get(gspaper)));
    if (ret) {
        return PyString_FromString(ret);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}

static PyObject *
_wrap_gnome_paper_selector_get_width(PyObject *self, PyObject *args)
{
    PyObject *gspaper;

    if (!PyArg_ParseTuple(args, "O!:gnome_paper_selector_get_width", &PyGtk_Type, &gspaper))
        return NULL;
    return PyFloat_FromDouble(gnome_paper_selector_get_width(GNOME_PAPER_SELECTOR(PyGtk_Get(gspaper))));
}

static PyObject *
_wrap_gnome_paper_selector_get_height(PyObject *self, PyObject *args)
{
    PyObject *gspaper;

    if (!PyArg_ParseTuple(args, "O!:gnome_paper_selector_get_height", &PyGtk_Type, &gspaper))
        return NULL;
    return PyFloat_FromDouble(gnome_paper_selector_get_height(GNOME_PAPER_SELECTOR(PyGtk_Get(gspaper))));
}

static PyObject *
_wrap_gnome_paper_selector_get_left_margin(PyObject *self, PyObject *args)
{
    PyObject *gspaper;

    if (!PyArg_ParseTuple(args, "O!:gnome_paper_selector_get_left_margin", &PyGtk_Type, &gspaper))
        return NULL;
    return PyFloat_FromDouble(gnome_paper_selector_get_left_margin(GNOME_PAPER_SELECTOR(PyGtk_Get(gspaper))));
}

static PyObject *
_wrap_gnome_paper_selector_get_right_margin(PyObject *self, PyObject *args)
{
    PyObject *gspaper;

    if (!PyArg_ParseTuple(args, "O!:gnome_paper_selector_get_right_margin", &PyGtk_Type, &gspaper))
        return NULL;
    return PyFloat_FromDouble(gnome_paper_selector_get_right_margin(GNOME_PAPER_SELECTOR(PyGtk_Get(gspaper))));
}

static PyObject *
_wrap_gnome_paper_selector_get_top_margin(PyObject *self, PyObject *args)
{
    PyObject *gspaper;

    if (!PyArg_ParseTuple(args, "O!:gnome_paper_selector_get_top_margin", &PyGtk_Type, &gspaper))
        return NULL;
    return PyFloat_FromDouble(gnome_paper_selector_get_top_margin(GNOME_PAPER_SELECTOR(PyGtk_Get(gspaper))));
}

static PyObject *
_wrap_gnome_paper_selector_get_bottom_margin(PyObject *self, PyObject *args)
{
    PyObject *gspaper;

    if (!PyArg_ParseTuple(args, "O!:gnome_paper_selector_get_bottom_margin", &PyGtk_Type, &gspaper))
        return NULL;
    return PyFloat_FromDouble(gnome_paper_selector_get_bottom_margin(GNOME_PAPER_SELECTOR(PyGtk_Get(gspaper))));
}

static PyObject *
_wrap_gnome_widget_add_help(PyObject *self, PyObject *args)
{
    PyObject *widget;
    char *help;

    if (!PyArg_ParseTuple(args, "O!s:gnome_widget_add_help", &PyGtk_Type, &widget, &help))
        return NULL;
    gnome_widget_add_help(GTK_WIDGET(PyGtk_Get(widget)), help);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_property_box_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_property_box_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_property_box_get_type());
}

static PyObject *
_wrap_gnome_property_box_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_property_box_new"))
        return NULL;
    ret = (GtkObject *) gnome_property_box_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_property_box_changed(PyObject *self, PyObject *args)
{
    PyObject *property_box;

    if (!PyArg_ParseTuple(args, "O!:gnome_property_box_changed", &PyGtk_Type, &property_box))
        return NULL;
    gnome_property_box_changed(GNOME_PROPERTY_BOX(PyGtk_Get(property_box)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_property_box_set_modified(PyObject *self, PyObject *args)
{
    PyObject *property_box;
    int modified;

    if (!PyArg_ParseTuple(args, "O!i:gnome_property_box_set_modified", &PyGtk_Type, &property_box, &modified))
        return NULL;
    gnome_property_box_set_modified(GNOME_PROPERTY_BOX(PyGtk_Get(property_box)), modified);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_property_box_append_page(PyObject *self, PyObject *args)
{
    PyObject *property_box, *child, *tab_label;

    if (!PyArg_ParseTuple(args, "O!O!O!:gnome_property_box_append_page", &PyGtk_Type, &property_box, &PyGtk_Type, &child, &PyGtk_Type, &tab_label))
        return NULL;
    return PyInt_FromLong(gnome_property_box_append_page(GNOME_PROPERTY_BOX(PyGtk_Get(property_box)), GTK_WIDGET(PyGtk_Get(child)), GTK_WIDGET(PyGtk_Get(tab_label))));
}

static PyObject *
_wrap_gnome_scores_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_scores_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_scores_get_type());
}

static PyObject *
_wrap_gnome_scores_display(PyObject *self, PyObject *args)
{
    char *title, *app_name, *level;
    int pos;

    if (!PyArg_ParseTuple(args, "sssi:gnome_scores_display", &title, &app_name, &level, &pos))
        return NULL;
    gnome_scores_display(title, app_name, level, pos);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_scores_set_logo_label(PyObject *self, PyObject *args)
{
    PyObject *gs, *colour;
    char *text, *font;

    if (!PyArg_ParseTuple(args, "O!ssO!:gnome_scores_set_logo_label", &PyGtk_Type, &gs, &text, &font, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_scores_set_logo_label(GNOME_SCORES(PyGtk_Get(gs)), text, font, PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_scores_set_logo_pixmap(PyObject *self, PyObject *args)
{
    PyObject *gs;
    char *logo;

    if (!PyArg_ParseTuple(args, "O!s:gnome_scores_set_logo_pixmap", &PyGtk_Type, &gs, &logo))
        return NULL;
    gnome_scores_set_logo_pixmap(GNOME_SCORES(PyGtk_Get(gs)), logo);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_scores_set_logo_widget(PyObject *self, PyObject *args)
{
    PyObject *gs, *w;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_scores_set_logo_widget", &PyGtk_Type, &gs, &PyGtk_Type, &w))
        return NULL;
    gnome_scores_set_logo_widget(GNOME_SCORES(PyGtk_Get(gs)), GTK_WIDGET(PyGtk_Get(w)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_scores_set_color(PyObject *self, PyObject *args)
{
    PyObject *gs, *colour;
    int pos;

    if (!PyArg_ParseTuple(args, "O!iO!:gnome_scores_set_color", &PyGtk_Type, &gs, &pos, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_scores_set_color(GNOME_SCORES(PyGtk_Get(gs)), pos, PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_scores_set_def_color(PyObject *self, PyObject *args)
{
    PyObject *gs, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_scores_set_def_color", &PyGtk_Type, &gs, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_scores_set_def_color(GNOME_SCORES(PyGtk_Get(gs)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_scores_set_logo_label_title(PyObject *self, PyObject *args)
{
    PyObject *gs;
    char *logo;

    if (!PyArg_ParseTuple(args, "O!s:gnome_scores_set_logo_label_title", &PyGtk_Type, &gs, &logo))
        return NULL;
    gnome_scores_set_logo_label_title(GNOME_SCORES(PyGtk_Get(gs)), logo);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_scores_set_current_player(PyObject *self, PyObject *args)
{
    PyObject *gs;
    int index;

    if (!PyArg_ParseTuple(args, "O!i:gnome_scores_set_current_player", &PyGtk_Type, &gs, &index))
        return NULL;
    gnome_scores_set_current_player(GNOME_SCORES(PyGtk_Get(gs)), index);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_spell_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_spell_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_spell_get_type());
}

static PyObject *
_wrap_gnome_spell_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_spell_new"))
        return NULL;
    ret = (GtkObject *) gnome_spell_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_spell_check(PyObject *self, PyObject *args)
{
    PyObject *spell;
    char *str;

    if (!PyArg_ParseTuple(args, "O!s:gnome_spell_check", &PyGtk_Type, &spell, &str))
        return NULL;
    return PyInt_FromLong(gnome_spell_check(GNOME_SPELL(PyGtk_Get(spell)), str));
}

static PyObject *
_wrap_gnome_spell_accept(PyObject *self, PyObject *args)
{
    PyObject *spell;
    char *word;

    if (!PyArg_ParseTuple(args, "O!s:gnome_spell_accept", &PyGtk_Type, &spell, &word))
        return NULL;
    gnome_spell_accept(GNOME_SPELL(PyGtk_Get(spell)), word);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_spell_insert(PyObject *self, PyObject *args)
{
    PyObject *spell;
    char *word;
    int lowercase;

    if (!PyArg_ParseTuple(args, "O!si:gnome_spell_insert", &PyGtk_Type, &spell, &word, &lowercase))
        return NULL;
    gnome_spell_insert(GNOME_SPELL(PyGtk_Get(spell)), word, lowercase);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_spell_next(PyObject *self, PyObject *args)
{
    PyObject *spell;

    if (!PyArg_ParseTuple(args, "O!:gnome_spell_next", &PyGtk_Type, &spell))
        return NULL;
    gnome_spell_next(GNOME_SPELL(PyGtk_Get(spell)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_spell_kill(PyObject *self, PyObject *args)
{
    PyObject *spell;

    if (!PyArg_ParseTuple(args, "O!:gnome_spell_kill", &PyGtk_Type, &spell))
        return NULL;
    gnome_spell_kill(GNOME_SPELL(PyGtk_Get(spell)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_stock_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_stock_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_stock_get_type());
}

static PyObject *
_wrap_gnome_stock_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_stock_new"))
        return NULL;
    ret = (GtkObject *) gnome_stock_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_stock_new_with_icon(PyObject *self, PyObject *args)
{
    char *icon;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_stock_new_with_icon", &icon))
        return NULL;
    ret = (GtkObject *) gnome_stock_new_with_icon(icon);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_stock_set_icon(PyObject *self, PyObject *args)
{
    PyObject *stock;
    char *icon;

    if (!PyArg_ParseTuple(args, "O!s:gnome_stock_set_icon", &PyGtk_Type, &stock, &icon))
        return NULL;
    return PyInt_FromLong(gnome_stock_set_icon(GNOME_STOCK(PyGtk_Get(stock)), icon));
}

static PyObject *
_wrap_gnome_pixmap_button(PyObject *self, PyObject *args)
{
    PyObject *pixmap;
    char *text;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!s:gnome_pixmap_button", &PyGtk_Type, &pixmap, &text))
        return NULL;
    ret = (GtkObject *) gnome_pixmap_button(GTK_WIDGET(PyGtk_Get(pixmap)), text);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_stock_button(PyObject *self, PyObject *args)
{
    char *type;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_stock_button", &type))
        return NULL;
    ret = (GtkObject *) gnome_stock_button(type);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_stock_or_ordinary_button(PyObject *self, PyObject *args)
{
    char *type;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s:gnome_stock_or_ordinary_button", &type))
        return NULL;
    ret = (GtkObject *) gnome_stock_or_ordinary_button(type);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_stock_menu_item(PyObject *self, PyObject *args)
{
    char *type, *text;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_stock_menu_item", &type, &text))
        return NULL;
    ret = (GtkObject *) gnome_stock_menu_item(type, text);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_stock_transparent_window(PyObject *self, PyObject *args)
{
    char *icon, *subtype;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ss:gnome_stock_transparent_window", &icon, &subtype))
        return NULL;
    ret = (GtkObject *) gnome_stock_transparent_window(icon, subtype);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_clock_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gtk_clock_get_type"))
        return NULL;
    return PyInt_FromLong(gtk_clock_get_type());
}

static PyObject *
_wrap_gtk_clock_new(PyObject *self, PyObject *args)
{
    PyObject *py_type;
    GtkObject *ret;
    GtkClockType type;

    if (!PyArg_ParseTuple(args, "O:gtk_clock_new", &py_type))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_CLOCK_TYPE, py_type, (gint *)&type))
        return NULL;
    ret = (GtkObject *) gtk_clock_new(type);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_clock_set_format(PyObject *self, PyObject *args)
{
    PyObject *gclock;
    char *fmt;

    if (!PyArg_ParseTuple(args, "O!s:gtk_clock_set_format", &PyGtk_Type, &gclock, &fmt))
        return NULL;
    gtk_clock_set_format(GTK_CLOCK(PyGtk_Get(gclock)), fmt);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_clock_set_seconds(PyObject *self, PyObject *args)
{
    PyObject *gclock;
    int seconds;

    if (!PyArg_ParseTuple(args, "O!i:gtk_clock_set_seconds", &PyGtk_Type, &gclock, &seconds))
        return NULL;
    gtk_clock_set_seconds(GTK_CLOCK(PyGtk_Get(gclock)), seconds);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_clock_set_update_interval(PyObject *self, PyObject *args)
{
    PyObject *gclock;
    int seconds;

    if (!PyArg_ParseTuple(args, "O!i:gtk_clock_set_update_interval", &PyGtk_Type, &gclock, &seconds))
        return NULL;
    gtk_clock_set_update_interval(GTK_CLOCK(PyGtk_Get(gclock)), seconds);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_clock_start(PyObject *self, PyObject *args)
{
    PyObject *gclock;

    if (!PyArg_ParseTuple(args, "O!:gtk_clock_start", &PyGtk_Type, &gclock))
        return NULL;
    gtk_clock_start(GTK_CLOCK(PyGtk_Get(gclock)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_clock_stop(PyObject *self, PyObject *args)
{
    PyObject *gclock;

    if (!PyArg_ParseTuple(args, "O!:gtk_clock_stop", &PyGtk_Type, &gclock))
        return NULL;
    gtk_clock_stop(GTK_CLOCK(PyGtk_Get(gclock)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_ted_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gtk_ted_get_type"))
        return NULL;
    return PyInt_FromLong(gtk_ted_get_type());
}

static PyObject *
_wrap_gtk_ted_set_app_name(PyObject *self, PyObject *args)
{
    char *appname;

    if (!PyArg_ParseTuple(args, "s:gtk_ted_set_app_name", &appname))
        return NULL;
    gtk_ted_set_app_name(appname);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_ted_new(PyObject *self, PyObject *args)
{
    char *dialog_name;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "s:gtk_ted_new", &dialog_name))
        return NULL;
    ret = (GtkObject *) gtk_ted_new(dialog_name);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_ted_new_layout(PyObject *self, PyObject *args)
{
    char *dialog_name, *layout;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "ss:gtk_ted_new_layout", &dialog_name, &layout))
        return NULL;
    ret = (GtkObject *) gtk_ted_new_layout(dialog_name, layout);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_ted_prepare(PyObject *self, PyObject *args)
{
    PyObject *ted;

    if (!PyArg_ParseTuple(args, "O!:gtk_ted_prepare", &PyGtk_Type, &ted))
        return NULL;
    gtk_ted_prepare(GTK_TED(PyGtk_Get(ted)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_ted_add(PyObject *self, PyObject *args)
{
    PyObject *ted, *widget;
    char *name;

    if (!PyArg_ParseTuple(args, "O!O!s:gtk_ted_add", &PyGtk_Type, &ted, &PyGtk_Type, &widget, &name))
        return NULL;
    gtk_ted_add(GTK_TED(PyGtk_Get(ted)), GTK_WIDGET(PyGtk_Get(widget)), name);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_dial_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gtk_dial_get_type"))
        return NULL;
    return PyInt_FromLong(gtk_dial_get_type());
}

static PyObject *
_wrap_gtk_dial_new(PyObject *self, PyObject *args)
{
    PyObject *py_adjustment = Py_None;
    GtkAdjustment *adjustment = NULL;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "|O:gtk_dial_new", &py_adjustment))
        return NULL;
    if (PyGtk_Check(py_adjustment))
        adjustment = GTK_ADJUSTMENT(PyGtk_Get(py_adjustment));
    else if (py_adjustment != Py_None) {
        PyErr_SetString(PyExc_TypeError, "adjustment argument must be a GtkAdjustment or None");
	return NULL;
    }
    ret = (GtkObject *) gtk_dial_new(adjustment);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_dial_get_adjustment(PyObject *self, PyObject *args)
{
    PyObject *dial;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "O!:gtk_dial_get_adjustment", &PyGtk_Type, &dial))
        return NULL;
    ret = (GtkObject *) gtk_dial_get_adjustment(GTK_DIAL(PyGtk_Get(dial)));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_dial_set_update_policy(PyObject *self, PyObject *args)
{
    PyObject *dial, *py_policy;
    GtkUpdateType policy;

    if (!PyArg_ParseTuple(args, "O!O:gtk_dial_set_update_policy", &PyGtk_Type, &dial, &py_policy))
        return NULL;
    if (PyGtkEnum_get_value(GTK_TYPE_UPDATE_TYPE, py_policy, (gint *)&policy))
        return NULL;
    gtk_dial_set_update_policy(GTK_DIAL(PyGtk_Get(dial)), policy);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_dial_set_adjustment(PyObject *self, PyObject *args)
{
    PyObject *dial, *adjustment;

    if (!PyArg_ParseTuple(args, "O!O!:gtk_dial_set_adjustment", &PyGtk_Type, &dial, &PyGtk_Type, &adjustment))
        return NULL;
    gtk_dial_set_adjustment(GTK_DIAL(PyGtk_Get(dial)), GTK_ADJUSTMENT(PyGtk_Get(adjustment)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_dial_set_percentage(PyObject *self, PyObject *args)
{
    PyObject *dial;
    double percent;

    if (!PyArg_ParseTuple(args, "O!d:gtk_dial_set_percentage", &PyGtk_Type, &dial, &percent))
        return NULL;
    gtk_dial_set_percentage(GTK_DIAL(PyGtk_Get(dial)), percent);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_dial_get_percentage(PyObject *self, PyObject *args)
{
    PyObject *dial;

    if (!PyArg_ParseTuple(args, "O!:gtk_dial_get_percentage", &PyGtk_Type, &dial))
        return NULL;
    return PyFloat_FromDouble(gtk_dial_get_percentage(GTK_DIAL(PyGtk_Get(dial))));
}

static PyObject *
_wrap_gtk_dial_set_value(PyObject *self, PyObject *args)
{
    PyObject *dial;
    double value;

    if (!PyArg_ParseTuple(args, "O!d:gtk_dial_set_value", &PyGtk_Type, &dial, &value))
        return NULL;
    gtk_dial_set_value(GTK_DIAL(PyGtk_Get(dial)), value);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gtk_dial_get_value(PyObject *self, PyObject *args)
{
    PyObject *dial;

    if (!PyArg_ParseTuple(args, "O!:gtk_dial_get_value", &PyGtk_Type, &dial))
        return NULL;
    return PyFloat_FromDouble(gtk_dial_get_value(GTK_DIAL(PyGtk_Get(dial))));
}

static PyObject *
_wrap_gtk_dial_set_view_only(PyObject *self, PyObject *args)
{
    PyObject *dial;
    int view_only;

    if (!PyArg_ParseTuple(args, "O!i:gtk_dial_set_view_only", &PyGtk_Type, &dial, &view_only))
        return NULL;
    gtk_dial_set_view_only(GTK_DIAL(PyGtk_Get(dial)), view_only);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_druid_page_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_druid_page_get_type());
}

static PyObject *
_wrap_gnome_druid_page_next(PyObject *self, PyObject *args)
{
    PyObject *druid_page;

    if (!PyArg_ParseTuple(args, "O!:gnome_druid_page_next", &PyGtk_Type, &druid_page))
        return NULL;
    return PyInt_FromLong(gnome_druid_page_next(GNOME_DRUID_PAGE(PyGtk_Get(druid_page))));
}

static PyObject *
_wrap_gnome_druid_page_prepare(PyObject *self, PyObject *args)
{
    PyObject *druid_page;

    if (!PyArg_ParseTuple(args, "O!:gnome_druid_page_prepare", &PyGtk_Type, &druid_page))
        return NULL;
    gnome_druid_page_prepare(GNOME_DRUID_PAGE(PyGtk_Get(druid_page)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_back(PyObject *self, PyObject *args)
{
    PyObject *druid_page;

    if (!PyArg_ParseTuple(args, "O!:gnome_druid_page_back", &PyGtk_Type, &druid_page))
        return NULL;
    return PyInt_FromLong(gnome_druid_page_back(GNOME_DRUID_PAGE(PyGtk_Get(druid_page))));
}

static PyObject *
_wrap_gnome_druid_page_cancel(PyObject *self, PyObject *args)
{
    PyObject *druid_page;

    if (!PyArg_ParseTuple(args, "O!:gnome_druid_page_cancel", &PyGtk_Type, &druid_page))
        return NULL;
    return PyInt_FromLong(gnome_druid_page_cancel(GNOME_DRUID_PAGE(PyGtk_Get(druid_page))));
}

static PyObject *
_wrap_gnome_druid_page_finish(PyObject *self, PyObject *args)
{
    PyObject *druid_page;

    if (!PyArg_ParseTuple(args, "O!:gnome_druid_page_finish", &PyGtk_Type, &druid_page))
        return NULL;
    gnome_druid_page_finish(GNOME_DRUID_PAGE(PyGtk_Get(druid_page)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_druid_page_start_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_druid_page_start_get_type());
}

static PyObject *
_wrap_gnome_druid_page_start_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_druid_page_start_new"))
        return NULL;
    ret = (GtkObject *) gnome_druid_page_start_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_new_with_vals(PyObject *self, PyObject *args)
{
    char *title, *text;
    PyObject *py_logo = Py_None, *py_watermark = Py_None;
    GtkObject *ret;
    GdkImlibImage *logo = NULL, *watermark = NULL;

    if (!PyArg_ParseTuple(args, "zzOO:gnome_druid_page_start_new_with_vals", &title, &text, &py_logo, &py_watermark))
        return NULL;
    if (PyGdkImlibImage_Check(py_logo))
        logo = PyGdkImlibImage_Get(py_logo);
    else if (py_logo != Py_None) {
        PyErr_SetString(PyExc_TypeError, "logo argument must be a GdkImlibImage or None");
	return NULL;
    }
    if (PyGdkImlibImage_Check(py_watermark))
        watermark = PyGdkImlibImage_Get(py_watermark);
    else if (py_watermark != Py_None) {
        PyErr_SetString(PyExc_TypeError, "watermark argument must be a GdkImlibImage or None");
	return NULL;
    }
    ret = (GtkObject *) gnome_druid_page_start_new_with_vals(title, text, logo, watermark);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_set_bg_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_start_set_bg_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_start_set_bg_color(GNOME_DRUID_PAGE_START(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_set_textbox_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_start_set_textbox_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_start_set_textbox_color(GNOME_DRUID_PAGE_START(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_set_logo_bg_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_start_set_logo_bg_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_start_set_logo_bg_color(GNOME_DRUID_PAGE_START(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_set_title_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_start_set_title_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_start_set_title_color(GNOME_DRUID_PAGE_START(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_set_text_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_start_set_text_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_start_set_text_color(GNOME_DRUID_PAGE_START(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_set_text(PyObject *self, PyObject *args)
{
    PyObject *page;
    char *text;

    if (!PyArg_ParseTuple(args, "O!s:gnome_druid_page_start_set_text", &PyGtk_Type, &page, &text))
        return NULL;
    gnome_druid_page_start_set_text(GNOME_DRUID_PAGE_START(PyGtk_Get(page)), text);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_set_title(PyObject *self, PyObject *args)
{
    PyObject *page;
    char *title;

    if (!PyArg_ParseTuple(args, "O!s:gnome_druid_page_start_set_title", &PyGtk_Type, &page, &title))
        return NULL;
    gnome_druid_page_start_set_title(GNOME_DRUID_PAGE_START(PyGtk_Get(page)), title);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_set_logo(PyObject *self, PyObject *args)
{
    PyObject *page, *image;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_start_set_logo", &PyGtk_Type, &page, &PyGdkImlibImage_Type, &image))
        return NULL;
    gnome_druid_page_start_set_logo(GNOME_DRUID_PAGE_START(PyGtk_Get(page)), PyGdkImlibImage_Get(image));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_start_set_watermark(PyObject *self, PyObject *args)
{
    PyObject *page, *image;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_start_set_watermark", &PyGtk_Type, &page, &PyGdkImlibImage_Type, &image))
        return NULL;
    gnome_druid_page_start_set_watermark(GNOME_DRUID_PAGE_START(PyGtk_Get(page)), PyGdkImlibImage_Get(image));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_druid_page_finish_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_druid_page_finish_get_type());
}

static PyObject *
_wrap_gnome_druid_page_finish_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_druid_page_finish_new"))
        return NULL;
    ret = (GtkObject *) gnome_druid_page_finish_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_new_with_vals(PyObject *self, PyObject *args)
{
    char *title, *text;
    PyObject *py_logo = Py_None, *py_watermark = Py_None;
    GtkObject *ret;
    GdkImlibImage *logo = NULL, *watermark = NULL;

    if (!PyArg_ParseTuple(args, "zzOO:gnome_druid_page_finish_new_with_vals", &title, &text, &py_logo, &py_watermark))
        return NULL;
    if (PyGdkImlibImage_Check(py_logo))
        logo = PyGdkImlibImage_Get(py_logo);
    else if (py_logo != Py_None) {
        PyErr_SetString(PyExc_TypeError, "logo argument must be a GdkImlibImage or None");
	return NULL;
    }
    if (PyGdkImlibImage_Check(py_watermark))
        watermark = PyGdkImlibImage_Get(py_watermark);
    else if (py_watermark != Py_None) {
        PyErr_SetString(PyExc_TypeError, "watermark argument must be a GdkImlibImage or None");
	return NULL;
    }
    ret = (GtkObject *) gnome_druid_page_finish_new_with_vals(title, text, logo, watermark);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_set_bg_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_finish_set_bg_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_finish_set_bg_color(GNOME_DRUID_PAGE_FINISH(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_set_textbox_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_finish_set_textbox_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_finish_set_textbox_color(GNOME_DRUID_PAGE_FINISH(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_set_logo_bg_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_finish_set_logo_bg_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_finish_set_logo_bg_color(GNOME_DRUID_PAGE_FINISH(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_set_title_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_finish_set_title_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_finish_set_title_color(GNOME_DRUID_PAGE_FINISH(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_set_text_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_finish_set_text_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_finish_set_text_color(GNOME_DRUID_PAGE_FINISH(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_set_text(PyObject *self, PyObject *args)
{
    PyObject *page;
    char *text;

    if (!PyArg_ParseTuple(args, "O!s:gnome_druid_page_finish_set_text", &PyGtk_Type, &page, &text))
        return NULL;
    gnome_druid_page_finish_set_text(GNOME_DRUID_PAGE_FINISH(PyGtk_Get(page)), text);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_set_title(PyObject *self, PyObject *args)
{
    PyObject *page;
    char *title;

    if (!PyArg_ParseTuple(args, "O!s:gnome_druid_page_finish_set_title", &PyGtk_Type, &page, &title))
        return NULL;
    gnome_druid_page_finish_set_title(GNOME_DRUID_PAGE_FINISH(PyGtk_Get(page)), title);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_set_logo(PyObject *self, PyObject *args)
{
    PyObject *page, *image;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_finish_set_logo", &PyGtk_Type, &page, &PyGdkImlibImage_Type, &image))
        return NULL;
    gnome_druid_page_finish_set_logo(GNOME_DRUID_PAGE_FINISH(PyGtk_Get(page)), PyGdkImlibImage_Get(image));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_finish_set_watermark(PyObject *self, PyObject *args)
{
    PyObject *page, *image;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_finish_set_watermark", &PyGtk_Type, &page, &PyGdkImlibImage_Type, &image))
        return NULL;
    gnome_druid_page_finish_set_watermark(GNOME_DRUID_PAGE_FINISH(PyGtk_Get(page)), PyGdkImlibImage_Get(image));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_standard_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_druid_page_standard_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_druid_page_standard_get_type());
}

static PyObject *
_wrap_gnome_druid_page_standard_get_vbox(PyObject *self, PyObject *args)
{
    GtkObject *ret;
    PyObject *obj;

    if (!PyArg_ParseTuple(args, "O!:gnome_druid_page_standard_get_vbox", &PyGtk_Type, &obj))
        return NULL;
    ret = (GtkObject *) GNOME_DRUID_PAGE_STANDARD(PyGtk_Get(obj))->vbox;
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_standard_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_druid_page_standard_new"))
        return NULL;
    ret = (GtkObject *) gnome_druid_page_standard_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_standard_new_with_vals(PyObject *self, PyObject *args)
{
    char *title;
    PyObject *logo;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "sO!:gnome_druid_page_standard_new_with_vals", &title, &PyGdkImlibImage_Type, &logo))
        return NULL;
    ret = (GtkObject *) gnome_druid_page_standard_new_with_vals(title, PyGdkImlibImage_Get(logo));
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_standard_set_bg_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_standard_set_bg_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_standard_set_bg_color(GNOME_DRUID_PAGE_STANDARD(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_standard_set_logo_bg_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_standard_set_logo_bg_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_standard_set_logo_bg_color(GNOME_DRUID_PAGE_STANDARD(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_standard_set_title_color(PyObject *self, PyObject *args)
{
    PyObject *page, *colour;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_standard_set_title_color", &PyGtk_Type, &page, &PyGdkColor_Type, &colour))
        return NULL;
    gnome_druid_page_standard_set_title_color(GNOME_DRUID_PAGE_STANDARD(PyGtk_Get(page)), PyGdkColor_Get(colour));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_standard_set_title(PyObject *self, PyObject *args)
{
    PyObject *page;
    char *title;

    if (!PyArg_ParseTuple(args, "O!s:gnome_druid_page_standard_set_title", &PyGtk_Type, &page, &title))
        return NULL;
    gnome_druid_page_standard_set_title(GNOME_DRUID_PAGE_STANDARD(PyGtk_Get(page)), title);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_page_standard_set_logo(PyObject *self, PyObject *args)
{
    PyObject *page, *image;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_page_standard_set_logo", &PyGtk_Type, &page, &PyGdkImlibImage_Type, &image))
        return NULL;
    gnome_druid_page_standard_set_logo(GNOME_DRUID_PAGE_STANDARD(PyGtk_Get(page)), PyGdkImlibImage_Get(image));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":gnome_druid_get_type"))
        return NULL;
    return PyInt_FromLong(gnome_druid_get_type());
}

static PyObject *
_wrap_gnome_druid_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":gnome_druid_new"))
        return NULL;
    ret = (GtkObject *) gnome_druid_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_set_buttons_sensitive(PyObject *self, PyObject *args)
{
    PyObject *druid;
    int back_sensitive, next_sensitive, cancel_sensitive;

    if (!PyArg_ParseTuple(args, "O!iii:gnome_druid_set_buttons_sensitive", &PyGtk_Type, &druid, &back_sensitive, &next_sensitive, &cancel_sensitive))
        return NULL;
    gnome_druid_set_buttons_sensitive(GNOME_DRUID(PyGtk_Get(druid)), back_sensitive, next_sensitive, cancel_sensitive);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_set_show_finish(PyObject *self, PyObject *args)
{
    PyObject *druid;
    int show_finish;

    if (!PyArg_ParseTuple(args, "O!i:gnome_druid_set_show_finish", &PyGtk_Type, &druid, &show_finish))
        return NULL;
    gnome_druid_set_show_finish(GNOME_DRUID(PyGtk_Get(druid)), show_finish);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_prepend_page(PyObject *self, PyObject *args)
{
    PyObject *druid, *page;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_prepend_page", &PyGtk_Type, &druid, &PyGtk_Type, &page))
        return NULL;
    gnome_druid_prepend_page(GNOME_DRUID(PyGtk_Get(druid)), GNOME_DRUID_PAGE(PyGtk_Get(page)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_insert_page(PyObject *self, PyObject *args)
{
    PyObject *druid, *back_page, *page;

    if (!PyArg_ParseTuple(args, "O!O!O!:gnome_druid_insert_page", &PyGtk_Type, &druid, &PyGtk_Type, &back_page, &PyGtk_Type, &page))
        return NULL;
    gnome_druid_insert_page(GNOME_DRUID(PyGtk_Get(druid)), GNOME_DRUID_PAGE(PyGtk_Get(back_page)), GNOME_DRUID_PAGE(PyGtk_Get(page)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_append_page(PyObject *self, PyObject *args)
{
    PyObject *druid, *page;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_append_page", &PyGtk_Type, &druid, &PyGtk_Type, &page))
        return NULL;
    gnome_druid_append_page(GNOME_DRUID(PyGtk_Get(druid)), GNOME_DRUID_PAGE(PyGtk_Get(page)));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gnome_druid_set_page(PyObject *self, PyObject *args)
{
    PyObject *druid, *page;

    if (!PyArg_ParseTuple(args, "O!O!:gnome_druid_set_page", &PyGtk_Type, &druid, &PyGtk_Type, &page))
        return NULL;
    gnome_druid_set_page(GNOME_DRUID(PyGtk_Get(druid)), GNOME_DRUID_PAGE(PyGtk_Get(page)));
    Py_INCREF(Py_None);
    return Py_None;
}

